GNU bug report logs - #51497
29.0.50; (vc-print-log) broken over TRAMP

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: dima@HIDDEN; Keywords: moreinfo; dated Sat, 30 Oct 2021 01:26:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 8 Nov 2021 17:31:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 08 12:31:12 2021
Received: from localhost ([127.0.0.1]:59310 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mk8UB-0004Qp-Nc
	for submit <at> debbugs.gnu.org; Mon, 08 Nov 2021 12:31:12 -0500
Received: from mail-lf1-f45.google.com ([209.85.167.45]:45771)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mk8U8-0004Qa-GR
 for 51497 <at> debbugs.gnu.org; Mon, 08 Nov 2021 12:31:10 -0500
Received: by mail-lf1-f45.google.com with SMTP id f3so37857099lfu.12
 for <51497 <at> debbugs.gnu.org>; Mon, 08 Nov 2021 09:31:08 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=f6PTZrUAxZf89x1EojrrlewqDf6KKl8GQRHmDfqnKy8=;
 b=BzX79RBSOw883yZ4TkG2qxTahiPOthrkNLHe4T20A7n3EK0cHW12DGEaORfRvqCD8Z
 LqFy9ft2jonDWNKdUOguMDcgbQ4aX79j8dQDpmT2PDd5SgN4avzlyPtNlFDGgSb7CEvk
 sqh9DEV8CBMsxqsQbz4A7FgW8TevoEJnedQmusARbEltRTZlxEHWdDDThWwruY4KUCBT
 C6jOEFQ5dLf1yA2S1eB1i6ZfhqwHmgtmp2FWBi0/45l+J08cgeXwOj6Ptav6fFzJeKrG
 jfXtBKMT2pjVwfScMyDPMTTixxBarJQdmtCvs13oa09gWbsbIv2Qj+ZY+WxDLRiU9laE
 PPLQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=f6PTZrUAxZf89x1EojrrlewqDf6KKl8GQRHmDfqnKy8=;
 b=ma5Eye32uH8BYAKK1iB0x/2Xy+MxbkcVwYAEYU3rYph99bOUQev3alP4KQ3iiPfySi
 kg3sTzp2hyO0if/fnJ1JstxfgfYrr5VOnnslXVUBCy3a7CUayV3XHPRkQod52tx0bzjs
 pNl8V+qfd3SN+tSzCV4+mV/DSgraY7mbZd9R5gb5RkhzYXaqCg46L+jirDcS4i/hfZld
 4N+kwEBVOJ4kz2Jws5tshgN5eX66s3NJWJtoI/P70gH42iwLDFVTyWAfBpxKQVLL62Wa
 iBAwLgqiImBBA3oLwHYg7zLsd0CoTMSkAx9t4GgseBHhB9uXMfIHLvk3YdcP17E4guag
 86pQ==
X-Gm-Message-State: AOAM533Wl9ecqH23gWkISz+barXtdIh1p5YvduvuTX+QRE4snMbdBHAM
 03MEzB+5RDmyM06Ephug+ZY=
X-Google-Smtp-Source: ABdhPJw1jqAe9arLWBOnJipRgLbtpk7Eb2dWip8i1x9sNuBc0/OySlMeeJclPHSts/0fXPS7TIdlgA==
X-Received: by 2002:a05:6512:3f90:: with SMTP id
 x16mr879372lfa.392.1636392662368; 
 Mon, 08 Nov 2021 09:31:02 -0800 (PST)
Received: from [192.168.0.103] ([5.18.235.131])
 by smtp.googlemail.com with ESMTPSA id p3sm764499lfg.273.2021.11.08.09.31.01
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 08 Nov 2021 09:31:01 -0800 (PST)
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
To: Eli Zaretskii <eliz@HIDDEN>
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN>
 <60fea707-a9b2-d9f4-cc45-ffd4539887b6@HIDDEN>
 <87o87253sv.fsf@HIDDEN>
 <60af7952-d702-d40f-928e-1320e6d9520f@HIDDEN>
 <83f40a2a-ae5a-2c6c-cf6a-44ff7c933d16@HIDDEN> <831r3tb7un.fsf@HIDDEN>
 <7e04f090-81de-d5bd-746c-7f09ed0c38b0@HIDDEN> <83lf219i3u.fsf@HIDDEN>
 <86r1btvsso.fsf@HIDDEN> <dbff4358-245e-772c-1b25-a827f05c951e@HIDDEN>
 <86ilx4x4xv.fsf@HIDDEN> <1f17978c-0498-a19b-6bb0-6f316a536f8e@HIDDEN>
 <83h7coa2cs.fsf@HIDDEN> <92da67f0-9133-98ba-69e3-7408fab30539@HIDDEN>
 <83o86u7qxg.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <5bbcd838-45a3-3d1d-5dd8-d58a0e8be4dc@HIDDEN>
Date: Mon, 8 Nov 2021 20:30:55 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <83o86u7qxg.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 08.11.2021 15:49,
 Eli Zaretskii wrote: >> Cc: 51497 <at> debbugs.gnu.org, 
 andrewjmoreton@HIDDEN >> From: Dmitry Gutov >> Date: Mon,
 8 Nov 2021 01:36:18
 +0300 >> >>> Why wasn't --literal-pathspecs u [...] 
 Content analysis details:   (1.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (raaahh[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.45 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.45 listed in list.dnswl.org]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 -0.1 NICE_REPLY_A           Looks like a legit reply (A)
 1.0 FREEMAIL_REPLY         From and body contain different freemails
X-Debbugs-Envelope-To: 51497
Cc: 51497 <at> debbugs.gnu.org, andrewjmoreton@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 08.11.2021 15:49, Eli Zaretskii wrote:
>> Cc: 51497 <at> debbugs.gnu.org, andrewjmoreton@HIDDEN
>> From: Dmitry Gutov <dgutov@HIDDEN>
>> Date: Mon, 8 Nov 2021 01:36:18 +0300
>>
>>> Why wasn't --literal-pathspecs used in the first place? what are the
>>> downsides?  IME, using magic file names is always worse, because it
>>> can run afoul of various shells that consider some characters special.
>>
>> It wasn't among the proposed solutions.
>>
>> I went with the env var solution initially (because it required less
>> code and brought fewer -- none -- Git version compatibility problems),
>> but it didn't yield itself as easily to the per-action opt-in as the
>> other proposal (currently installed).
>>
>> But now that I think about it, it would be possible to do this without a
>> new macro, just adding a new variable that default to nil, and set it to
>> t in every backend method that needs it.
> 
> But would that solve our problems for which :(literal) was introduced?
> AFAIU, the difference between that and --literal-pathspecs is that the
> latter is global: it affects all the file names of the Git command,
> while the former can be applied only to some file names.

Both can be used per-command, but indeed it's true: the :(literal) 
syntax can also be used to apply to individual specs only.

>Do we have
> valid use cases where only some of the file names need to be treated
> as literal?

Even though it's plausible, I haven't encountered this particular use 
case so far. Perhaps when we do, we could mix-and-match :(literal) and 
--literal-pathspecs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 8 Nov 2021 12:50:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 08 07:50:08 2021
Received: from localhost ([127.0.0.1]:56758 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mk46C-0008Ns-3T
	for submit <at> debbugs.gnu.org; Mon, 08 Nov 2021 07:50:08 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mk467-0008ND-Qt
 for 51497 <at> debbugs.gnu.org; Mon, 08 Nov 2021 07:50:06 -0500
Received: from [2001:470:142:3::e] (port=54420 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mk462-0006jH-BA; Mon, 08 Nov 2021 07:49:58 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=eoqWmU19hgMLAgmKPotAuZ5y7Bhlg0wz3PIXXpMptm4=; b=R9QmiRMeEaN2
 vp4g6mWG0AjKjzve8jyg4q+yg+B6Iy8Se0wuuDcrKOG94iEsLz47a+SLP6FHMNP8SPtgI6ZsLY+XD
 RyTMnc+3flmcVhBZ1oDXzHmQYb96HnteBSAdvMj2s0QU0yjs8CuUnM0UZ+8/98UsLF4OM+aPL4NY9
 Rt3JiV/5zR4Xn21iNO3xNMfFOxqnlAMX5XRnWMw2un3RZxZVswY35aOOUqHPYHYSyh/jP0Ov6calJ
 ZROvle3Ci1fBbOld3iL0beFdItEFc8gfTD4dxYseXlziKZoDCZfi1XYgecBbraopwqcelf+fDLD/v
 2jvJRiPb+jS+FJ/z5Qovvw==;
Received: from [87.69.77.57] (port=2524 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mk461-0007Bo-Pp; Mon, 08 Nov 2021 07:49:58 -0500
Date: Mon, 08 Nov 2021 14:49:47 +0200
Message-Id: <83o86u7qxg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <92da67f0-9133-98ba-69e3-7408fab30539@HIDDEN> (message from
 Dmitry Gutov on Mon, 8 Nov 2021 01:36:18 +0300)
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN>
 <60fea707-a9b2-d9f4-cc45-ffd4539887b6@HIDDEN>
 <87o87253sv.fsf@HIDDEN>
 <60af7952-d702-d40f-928e-1320e6d9520f@HIDDEN>
 <83f40a2a-ae5a-2c6c-cf6a-44ff7c933d16@HIDDEN> <831r3tb7un.fsf@HIDDEN>
 <7e04f090-81de-d5bd-746c-7f09ed0c38b0@HIDDEN> <83lf219i3u.fsf@HIDDEN>
 <86r1btvsso.fsf@HIDDEN> <dbff4358-245e-772c-1b25-a827f05c951e@HIDDEN>
 <86ilx4x4xv.fsf@HIDDEN> <1f17978c-0498-a19b-6bb0-6f316a536f8e@HIDDEN>
 <83h7coa2cs.fsf@HIDDEN> <92da67f0-9133-98ba-69e3-7408fab30539@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51497
Cc: 51497 <at> debbugs.gnu.org, andrewjmoreton@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 51497 <at> debbugs.gnu.org, andrewjmoreton@HIDDEN
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Mon, 8 Nov 2021 01:36:18 +0300
> 
> > Why wasn't --literal-pathspecs used in the first place? what are the
> > downsides?  IME, using magic file names is always worse, because it
> > can run afoul of various shells that consider some characters special.
> 
> It wasn't among the proposed solutions.
> 
> I went with the env var solution initially (because it required less 
> code and brought fewer -- none -- Git version compatibility problems), 
> but it didn't yield itself as easily to the per-action opt-in as the 
> other proposal (currently installed).
> 
> But now that I think about it, it would be possible to do this without a 
> new macro, just adding a new variable that default to nil, and set it to 
> t in every backend method that needs it.

But would that solve our problems for which :(literal) was introduced?
AFAIU, the difference between that and --literal-pathspecs is that the
latter is global: it affects all the file names of the Git command,
while the former can be applied only to some file names.  Do we have
valid use cases where only some of the file names need to be treated
as literal?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 7 Nov 2021 22:36:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 07 17:36:32 2021
Received: from localhost ([127.0.0.1]:55184 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjqm8-0003lN-BG
	for submit <at> debbugs.gnu.org; Sun, 07 Nov 2021 17:36:32 -0500
Received: from mail-lf1-f46.google.com ([209.85.167.46]:43736)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mjqm6-0003l7-HJ
 for 51497 <at> debbugs.gnu.org; Sun, 07 Nov 2021 17:36:31 -0500
Received: by mail-lf1-f46.google.com with SMTP id b40so2630566lfv.10
 for <51497 <at> debbugs.gnu.org>; Sun, 07 Nov 2021 14:36:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=PaoXmscWeUQvD9xoxB3BbPCvvjx4vC48bMQl/1LmyLQ=;
 b=eju/K2TM+EitHtfguKjmfh66yBXqB8dH1mQ5oYRv6GF8mLCsq71vNEBlWQhBvqGjVc
 fcO8UFXeuGDbSvrUBF1kNqhVEmHdpgVPSR1mP4xGWFjorVjBFL5oyrgPIXwglO8h+YHg
 n6lS4GvcOfwAARCD4uJ6v2LseqFzwrQ6SK28GX45QhGzZpeZWQr2xqbOR0QliwfJkYC7
 /wHuH15dWg0/bKYD7PPxFzaNhGSTApi7XtMRrZwgYZ/MZwdb8sQYxdvnurQiK54VhjWq
 OJ0qnypJeKdWZOz6zyXH3mK3ElGzB97h8DS3ROiDaS9NMyLRMs5+FNUsGkTuEeEaoqNI
 tpdQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=PaoXmscWeUQvD9xoxB3BbPCvvjx4vC48bMQl/1LmyLQ=;
 b=KDSZP0z/jYEltoPRtDKbmMLl35GtGSgxEfgd0qLGUkSRPkQJlZgRUmsQ1J9Ft7m8qT
 VI5o+XCtI2BJ05cthnpMKb7FAj/tJCNblSKfLP8vQcAd1xZMGTJvgvmDSylKlBBIMPR+
 nT9EQUbIIPpkSKAQcnIXY3AwTFS+5ZvddlGkjlLamZN0YnBrV2N/nQHwy3n0muZn+IR1
 e5izAXraolRQV33dIkbxVC53bJiw6aUzTSLFiLnW/eVA4p/cba1QkuIWsT5jLONBOC4A
 kgYpU6PDolJR4Ev6V1gANfKpmaFHyfbaqTh7F3gdolv5i755bj6V2J8FIFajV/Qkm6WE
 X9/w==
X-Gm-Message-State: AOAM531eSGbA6GBdqfPoml7RKUNUWVR2lsppm3U9n5hvrI+dExCSixyk
 Sp/FafRsqOLau+ouDuT7jTs=
X-Google-Smtp-Source: ABdhPJxzpGeelac84NI/TJhJvBTqKt1eS64ItxIba/go1nNQ9mPuKZpc/5YZ/p3nvo6yPjqQ2jbJFw==
X-Received: by 2002:a05:6512:ace:: with SMTP id
 n14mr67640381lfu.460.1636324584279; 
 Sun, 07 Nov 2021 14:36:24 -0800 (PST)
Received: from [192.168.0.103] ([5.18.235.131])
 by smtp.googlemail.com with ESMTPSA id 138sm232663ljf.89.2021.11.07.14.36.23
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 07 Nov 2021 14:36:23 -0800 (PST)
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
To: Eli Zaretskii <eliz@HIDDEN>
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN>
 <60fea707-a9b2-d9f4-cc45-ffd4539887b6@HIDDEN>
 <87o87253sv.fsf@HIDDEN>
 <60af7952-d702-d40f-928e-1320e6d9520f@HIDDEN>
 <83f40a2a-ae5a-2c6c-cf6a-44ff7c933d16@HIDDEN> <831r3tb7un.fsf@HIDDEN>
 <7e04f090-81de-d5bd-746c-7f09ed0c38b0@HIDDEN> <83lf219i3u.fsf@HIDDEN>
 <86r1btvsso.fsf@HIDDEN> <dbff4358-245e-772c-1b25-a827f05c951e@HIDDEN>
 <86ilx4x4xv.fsf@HIDDEN> <1f17978c-0498-a19b-6bb0-6f316a536f8e@HIDDEN>
 <83h7coa2cs.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <92da67f0-9133-98ba-69e3-7408fab30539@HIDDEN>
Date: Mon, 8 Nov 2021 01:36:18 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <83h7coa2cs.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 51497
Cc: 51497 <at> debbugs.gnu.org, andrewjmoreton@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 07.11.2021 09:47, Eli Zaretskii wrote:
>> From: Dmitry Gutov <dgutov@HIDDEN>
>> Date: Sun, 7 Nov 2021 03:11:43 +0300
>>
>> Failing that, I think we'll need to change the "literal pathspecs"
>> implementation to yet another approach (adding --literl-pathspecs flag
>> instead of manipulating file names). It comes with the same general
>> drawbacks as the env var (which is used under the hood), but the
>> explicit approach of specifying it in every command would avoid the
>> problem of my original fix for that bug.
> 
> Why wasn't --literal-pathspecs used in the first place? what are the
> downsides?  IME, using magic file names is always worse, because it
> can run afoul of various shells that consider some characters special.

It wasn't among the proposed solutions.

I went with the env var solution initially (because it required less 
code and brought fewer -- none -- Git version compatibility problems), 
but it didn't yield itself as easily to the per-action opt-in as the 
other proposal (currently installed).

But now that I think about it, it would be possible to do this without a 
new macro, just adding a new variable that default to nil, and set it to 
t in every backend method that needs it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Nov 2021 10:50:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 07 05:50:10 2021
Received: from localhost ([127.0.0.1]:51860 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjfkX-0003Aj-P9
	for submit <at> debbugs.gnu.org; Sun, 07 Nov 2021 05:50:09 -0500
Received: from lists.gnu.org ([209.51.188.17]:41760)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mjfkU-0003AY-CV
 for submit <at> debbugs.gnu.org; Sun, 07 Nov 2021 05:50:07 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:50068)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mjfkU-0001XO-5g
 for bug-gnu-emacs@HIDDEN; Sun, 07 Nov 2021 05:50:06 -0500
Received: from ciao.gmane.io ([116.202.254.214]:32858)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mjfkS-0005Kj-SV
 for bug-gnu-emacs@HIDDEN; Sun, 07 Nov 2021 05:50:05 -0500
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mjfkP-0005bF-LF
 for bug-gnu-emacs@HIDDEN; Sun, 07 Nov 2021 11:50:01 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Andy Moreton <andrewjmoreton@HIDDEN>
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
Date: Sun, 07 Nov 2021 10:45:50 +0000
Message-ID: <86bl2w9rc1.fsf@HIDDEN>
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN>
 <60fea707-a9b2-d9f4-cc45-ffd4539887b6@HIDDEN>
 <87o87253sv.fsf@HIDDEN>
 <60af7952-d702-d40f-928e-1320e6d9520f@HIDDEN>
 <83f40a2a-ae5a-2c6c-cf6a-44ff7c933d16@HIDDEN>
 <831r3tb7un.fsf@HIDDEN>
 <7e04f090-81de-d5bd-746c-7f09ed0c38b0@HIDDEN>
 <83lf219i3u.fsf@HIDDEN> <86r1btvsso.fsf@HIDDEN>
 <dbff4358-245e-772c-1b25-a827f05c951e@HIDDEN>
 <86ilx4x4xv.fsf@HIDDEN> <83ilx4a2ka.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (windows-nt)
Cancel-Lock: sha1:Kq7As6SlV0d+xt5hWTM7ZBMxorY=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: 5
X-Spam_score: 0.5
X-Spam_bar: /
X-Spam_report: (0.5 / 5.0 requ) BAYES_00=-1.9, DKIM_ADSP_CUSTOM_MED=0.001,
 FORGED_GMAIL_RCVD=1, FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.248, NML_ADSP_CUSTOM_MED=0.9,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On Sun 07 Nov 2021, Eli Zaretskii wrote:

>> From: Andy Moreton <andrewjmoreton@HIDDEN>
>> Date: Sat, 06 Nov 2021 23:03:24 +0000
>> 
>> Looking at this again, Trying "C-x v l" for INSTALL in the repo master
>> branch gives (rewrapped for clarity):
>> 
>>   fatal: :(literal)c:/emacs/git/emacs/master/nt/INSTALL:
>>   'c:/emacs/git/emacs/master/nt/INSTALL' is outside repository at
>>   '/c/emacs/git/emacs/master'
>> 
>> This appears to be due to the translation between win32 and cygwin
>> (posix) filenames.
>
> Right, and so the immediate suspect is cygwin-mount.el.  That command
> works flawlessly for me, FWIW.

Yes. It is probably due to the ":(literal)" prefix names not matching
the patterns that cygwin-mount.el adds to file-name-handler-alist.

    AndyM





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Nov 2021 10:43:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 07 05:43:48 2021
Received: from localhost ([127.0.0.1]:51851 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjfeN-0002yH-PL
	for submit <at> debbugs.gnu.org; Sun, 07 Nov 2021 05:43:47 -0500
Received: from lists.gnu.org ([209.51.188.17]:38872)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mjfeL-0002yA-Tg
 for submit <at> debbugs.gnu.org; Sun, 07 Nov 2021 05:43:46 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:49212)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mjfeL-0007nY-NS
 for bug-gnu-emacs@HIDDEN; Sun, 07 Nov 2021 05:43:45 -0500
Received: from ciao.gmane.io ([116.202.254.214]:39770)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mjfeJ-0004b5-Uu
 for bug-gnu-emacs@HIDDEN; Sun, 07 Nov 2021 05:43:45 -0500
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mjfeG-0008MS-3K
 for bug-gnu-emacs@HIDDEN; Sun, 07 Nov 2021 11:43:40 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Andy Moreton <andrewjmoreton@HIDDEN>
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
Date: Sun, 07 Nov 2021 10:43:31 +0000
Message-ID: <86h7co9rfw.fsf@HIDDEN>
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN>
 <60fea707-a9b2-d9f4-cc45-ffd4539887b6@HIDDEN>
 <87o87253sv.fsf@HIDDEN>
 <60af7952-d702-d40f-928e-1320e6d9520f@HIDDEN>
 <83f40a2a-ae5a-2c6c-cf6a-44ff7c933d16@HIDDEN>
 <831r3tb7un.fsf@HIDDEN>
 <7e04f090-81de-d5bd-746c-7f09ed0c38b0@HIDDEN>
 <83lf219i3u.fsf@HIDDEN> <86r1btvsso.fsf@HIDDEN>
 <dbff4358-245e-772c-1b25-a827f05c951e@HIDDEN>
 <86ilx4x4xv.fsf@HIDDEN>
 <1f17978c-0498-a19b-6bb0-6f316a536f8e@HIDDEN>
 <83h7coa2cs.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (windows-nt)
Cancel-Lock: sha1:rBzWXBYGEYXboUXmZEtmK+Ee6sk=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: 5
X-Spam_score: 0.5
X-Spam_bar: /
X-Spam_report: (0.5 / 5.0 requ) BAYES_00=-1.9, DKIM_ADSP_CUSTOM_MED=0.001,
 FORGED_GMAIL_RCVD=1, FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.248, NML_ADSP_CUSTOM_MED=0.9,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On Sun 07 Nov 2021, Eli Zaretskii wrote:

>> From: Dmitry Gutov <dgutov@HIDDEN>
>> Date: Sun, 7 Nov 2021 03:11:43 +0300
>> 
>> Failing that, I think we'll need to change the "literal pathspecs" 
>> implementation to yet another approach (adding --literl-pathspecs flag 
>> instead of manipulating file names). It comes with the same general 
>> drawbacks as the env var (which is used under the hood), but the 
>> explicit approach of specifying it in every command would avoid the 
>> problem of my original fix for that bug.
>
> Why wasn't --literal-pathspecs used in the first place? what are the
> downsides?  IME, using magic file names is always worse, because it
> can run afoul of various shells that consider some characters special.

Indeed. I agree it is much simpler to use the flag.

    AndyM





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 7 Nov 2021 06:48:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 07 01:48:07 2021
Received: from localhost ([127.0.0.1]:51624 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjbyJ-0005dh-Ib
	for submit <at> debbugs.gnu.org; Sun, 07 Nov 2021 01:48:07 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43288)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mjbyH-0005dC-Fa
 for 51497 <at> debbugs.gnu.org; Sun, 07 Nov 2021 01:48:05 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37678)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mjbyC-0004N0-6X; Sun, 07 Nov 2021 01:48:00 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=bt23I+0B/6X/sNQETmPktaZ7px3btkWjGqpBjlCtdgU=; b=Y9IgMivXKReI
 1Qi53f8yGtPz2d+ivBIaY4Oeu92Gzytb5G8zPgDWrKpoqA+dMyyWoU0HAbHzkdZxn8MoiVkFkh0B2
 dHkn9BTjScFbV4xdw9aX/ZG8yqP17DpcjfMp0Ov9+fatdHZkZ3WQCGAk6+okOPc5fKWJY96QRbo0v
 IVD3PPreTf/KTZmmZX45+oZxxFm3srn4kcwdeM5eHwDcbVvrAaROQS2y0yDJSDcnRzBkVX4xV/tbd
 MfqhTrejsDHQIs6i2cnU07gSYegxX/9hMwWsycTZuHjRMetEM1UJqezQF48g4iP2/8uT23HjNe7vL
 PQBLbKbLG/ZBjTTOUWWfSw==;
Received: from [87.69.77.57] (port=3196 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mjbyB-0006lx-OX; Sun, 07 Nov 2021 01:48:00 -0500
Date: Sun, 07 Nov 2021 08:47:47 +0200
Message-Id: <83h7coa2cs.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <1f17978c-0498-a19b-6bb0-6f316a536f8e@HIDDEN> (message from
 Dmitry Gutov on Sun, 7 Nov 2021 03:11:43 +0300)
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN>
 <60fea707-a9b2-d9f4-cc45-ffd4539887b6@HIDDEN>
 <87o87253sv.fsf@HIDDEN>
 <60af7952-d702-d40f-928e-1320e6d9520f@HIDDEN>
 <83f40a2a-ae5a-2c6c-cf6a-44ff7c933d16@HIDDEN> <831r3tb7un.fsf@HIDDEN>
 <7e04f090-81de-d5bd-746c-7f09ed0c38b0@HIDDEN> <83lf219i3u.fsf@HIDDEN>
 <86r1btvsso.fsf@HIDDEN> <dbff4358-245e-772c-1b25-a827f05c951e@HIDDEN>
 <86ilx4x4xv.fsf@HIDDEN> <1f17978c-0498-a19b-6bb0-6f316a536f8e@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51497
Cc: 51497 <at> debbugs.gnu.org, andrewjmoreton@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Sun, 7 Nov 2021 03:11:43 +0300
> 
> Failing that, I think we'll need to change the "literal pathspecs" 
> implementation to yet another approach (adding --literl-pathspecs flag 
> instead of manipulating file names). It comes with the same general 
> drawbacks as the env var (which is used under the hood), but the 
> explicit approach of specifying it in every command would avoid the 
> problem of my original fix for that bug.

Why wasn't --literal-pathspecs used in the first place? what are the
downsides?  IME, using magic file names is always worse, because it
can run afoul of various shells that consider some characters special.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 7 Nov 2021 06:43:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 07 01:43:40 2021
Received: from localhost ([127.0.0.1]:51603 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjbtz-0005Tu-RQ
	for submit <at> debbugs.gnu.org; Sun, 07 Nov 2021 01:43:39 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42802)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mjbty-0005TT-Or
 for 51497 <at> debbugs.gnu.org; Sun, 07 Nov 2021 01:43:39 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37598)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mjbtq-0003r0-Nx; Sun, 07 Nov 2021 01:43:33 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=5AR8wa3Ahpq3O/+OuAWPuaSStC8w4uvBG9ztOG/mCDU=; b=SQAAOBY9ax5C
 y5SWSc58OwuQz72+ae6MYcF5IJlxsmISkCv4A2tNyVeHWIIPxfyoGEDHixhojRQMz+m+e2nkCDOPI
 UMq9KNMQmpIHscdceHZZ25gt1xDkBGGrra8R3gXQsuLnDXh4vAc92emsKLoxZmuYyoZVkwXgAIMIr
 6jZowobOpJo3uhsC6mU4iYvHgOdjLXNn21CDy7Iy3xcKmoeH9By6bq0RrHJI4Ic3ybFlY+MJyoBUb
 iaM7kyv06JJj4HL+pCcmctIFhPP2p3WTMvg7yimOOJwCLpsLc4F0YY5DohYO1ehUhcgykJacsnzZl
 aWIonMTokXM4ev/uAn8UDA==;
Received: from [87.69.77.57] (port=2901 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mjbtq-0002Ub-8N; Sun, 07 Nov 2021 01:43:30 -0500
Date: Sun, 07 Nov 2021 08:43:17 +0200
Message-Id: <83ilx4a2ka.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andy Moreton <andrewjmoreton@HIDDEN>
In-Reply-To: <86ilx4x4xv.fsf@HIDDEN> (message from Andy Moreton on Sat, 06
 Nov 2021 23:03:24 +0000)
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN>
 <60fea707-a9b2-d9f4-cc45-ffd4539887b6@HIDDEN>
 <87o87253sv.fsf@HIDDEN>
 <60af7952-d702-d40f-928e-1320e6d9520f@HIDDEN>
 <83f40a2a-ae5a-2c6c-cf6a-44ff7c933d16@HIDDEN>
 <831r3tb7un.fsf@HIDDEN>
 <7e04f090-81de-d5bd-746c-7f09ed0c38b0@HIDDEN>
 <83lf219i3u.fsf@HIDDEN> <86r1btvsso.fsf@HIDDEN>
 <dbff4358-245e-772c-1b25-a827f05c951e@HIDDEN> <86ilx4x4xv.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51497
Cc: 51497 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andy Moreton <andrewjmoreton@HIDDEN>
> Date: Sat, 06 Nov 2021 23:03:24 +0000
> 
> Looking at this again, Trying "C-x v l" for INSTALL in the repo master
> branch gives (rewrapped for clarity):
> 
>   fatal: :(literal)c:/emacs/git/emacs/master/nt/INSTALL:
>   'c:/emacs/git/emacs/master/nt/INSTALL' is outside repository at
>   '/c/emacs/git/emacs/master'
> 
> This appears to be due to the translation between win32 and cygwin
> (posix) filenames.

Right, and so the immediate suspect is cygwin-mount.el.  That command
works flawlessly for me, FWIW.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 7 Nov 2021 06:31:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 07 01:31:43 2021
Received: from localhost ([127.0.0.1]:51588 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjbiR-0005Cf-J0
	for submit <at> debbugs.gnu.org; Sun, 07 Nov 2021 01:31:43 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41468)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mjbiP-0005CP-7M
 for 51497 <at> debbugs.gnu.org; Sun, 07 Nov 2021 01:31:43 -0500
Received: from [2001:470:142:3::e] (port=37434 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mjbiJ-0001Oh-0a; Sun, 07 Nov 2021 01:31:35 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=olPJAYUTF6U0ERWxK+l/rS7kBO3w0cAXr9FHbZWd4dA=; b=IYTGDCNKFoL6
 7asmMPBNLbeZN0Pj3Ks+oGhjj7sMlOL2EDvWYKbEH0KcNnN51Qisc8GBCczt5FeFxFLeB6xLIsbrM
 SN2+BZjA7wPmsBO/29W4YG/I3jlHZ0uOqSJCBualZxoZi6yippBiHbXj1BaCBZ2wVBpf+VZldBszl
 YvGtl+THjbdM0GzvqC7fqZuwkqEfiTG9OuXqSjj7sUV8mp+KFtTcGMg319BqCXWRm/+xY5i8xCr/W
 uJGgOQKK5SycEFl3qhhiERDiPMAWjGNEuN5CMKdbggunludfdrnMNq8BLH25wVOEOnzpuBhHkwou4
 uqJFUuG72csh3UT/TNfDsg==;
Received: from [87.69.77.57] (port=2164 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mjbiC-0003oL-79; Sun, 07 Nov 2021 01:31:34 -0500
Date: Sun, 07 Nov 2021 08:31:14 +0200
Message-Id: <83k0hka34d.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andy Moreton <andrewjmoreton@HIDDEN>
In-Reply-To: <86r1btvsso.fsf@HIDDEN> (message from Andy Moreton on Sat, 06
 Nov 2021 22:11:03 +0000)
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN>
 <60fea707-a9b2-d9f4-cc45-ffd4539887b6@HIDDEN>
 <87o87253sv.fsf@HIDDEN>
 <60af7952-d702-d40f-928e-1320e6d9520f@HIDDEN>
 <83f40a2a-ae5a-2c6c-cf6a-44ff7c933d16@HIDDEN>
 <831r3tb7un.fsf@HIDDEN>
 <7e04f090-81de-d5bd-746c-7f09ed0c38b0@HIDDEN>
 <83lf219i3u.fsf@HIDDEN> <86r1btvsso.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51497
Cc: 51497 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andy Moreton <andrewjmoreton@HIDDEN>
> Date: Sat, 06 Nov 2021 22:11:03 +0000
> 
> I missed the discussion in bug#39452 at the time, but while the solution
> was being worked on, I used advice to stub out the literal pathspec
> functions:
>   (advice-add 'vc-git--literal-pathspec  :override #'identity)
>   (advice-add 'vc-git--literal-pathspecs :override #'identity)
> 
> That workaround is still needed for me. Without that, nothing in vc-git
> works in my environment (64bit minw64 build on win10, using cygwin bash
> and git together with cygwin-mount.el from emacs wiki).

We need to understand why the original code doesn't work for you,
otherwise we cannot decide what to do about that issue.  FWIW, Git
works for me on Windows from Emacs without any changes.  But I don't
use the Cygwin Bash and cygwin-mount.el, which I always warned people
about.  If you want to use Cygwin, why not also use Cygwin Emacs and
Git, and save yourself those troubles?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 7 Nov 2021 00:11:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 06 20:11:58 2021
Received: from localhost ([127.0.0.1]:51192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjVmv-0001RW-SK
	for submit <at> debbugs.gnu.org; Sat, 06 Nov 2021 20:11:58 -0400
Received: from mail-lf1-f52.google.com ([209.85.167.52]:33503)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mjVmt-0001RI-D1
 for 51497 <at> debbugs.gnu.org; Sat, 06 Nov 2021 20:11:57 -0400
Received: by mail-lf1-f52.google.com with SMTP id bu18so27189619lfb.0
 for <51497 <at> debbugs.gnu.org>; Sat, 06 Nov 2021 17:11:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=at0++wIQvbVaHvjNa7dRNtidvqziicB3c2ZDP2zwiFQ=;
 b=RyBWEP7mLiP2zCtxnq0PpqMVoVrTBRYpWoAjdatHLkAqj+ouWPJGRoa8OOunwmlYYB
 kzXdZIm5uo4dUAxDsfzoHKca1LkCGyS/2+Du8wQ8FN8FZhNQgpHES1m4A+eL5EZKHecT
 w9lbLl7b4fq4uyj/KSEVR9Ji2/qYz9wOEDijOF2T2AH5reBPLoHUs1kAL7CQ3Wuk+JPX
 da8trlymgpKcWV8ppfSZ2Q15YP9RBLaQJTUdXjuR9pAzZ/7g9+Warvx0Cp/Y5F8s8GH+
 9V8sWpW5xX2Jd90zNK9wgYONnyC6XnIQVqa2lW3WYjFIVUiCmUaTE5+ZYAWmuAzb5Ty3
 9KWg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=at0++wIQvbVaHvjNa7dRNtidvqziicB3c2ZDP2zwiFQ=;
 b=h1YmmbOSutopn57jwcqj9tYMKKLAgh3cLM5VRBSGnnSz6m/O3NLkL7Q4qBsrbINFYs
 fuEX8kz7SALpaTq4Xism1qdRJ3ze12fiU+RK+7iLMfyEfEJgQNkRGFUwopyBM8J7ZFVu
 gOhm318yvZo8WnD/f9WpnXSMyXeoUo/fod0DvN/pFGgYvzVusJZ4yiVgz3KLbrcRnXIM
 Rp+RUXm61pwjuz0c/TgjePfXX5nvIWK1EpK3GQrDvFWmH9Y/wMdWOA1FkfTFqK/11lYZ
 2ep+KZugW/Y+ZAb6lzJpPTqAu5ri0AAlcrGdlvCe6ScIbD4ouM/WJfIZCK5fMZDMA/+2
 Xu2w==
X-Gm-Message-State: AOAM531to2bLDp7AnZFhNsR5IJs4ghFCX24ZZp/6JqswOxP0D/AOGC6K
 EPiw35mXXREb0Td2Go/5H/g8hT86V8Y=
X-Google-Smtp-Source: ABdhPJwPuRMMRWKhcfHr4nKAKqCuCPQUl8BadAeecRRg7EWEQkPuLCg1kwq4uUYM2GzHoAP9u0Ov0Q==
X-Received: by 2002:a05:6512:2182:: with SMTP id
 b2mr22181648lft.311.1636243909120; 
 Sat, 06 Nov 2021 17:11:49 -0700 (PDT)
Received: from [192.168.0.103] ([5.18.235.131])
 by smtp.googlemail.com with ESMTPSA id o12sm1299747lfo.183.2021.11.06.17.11.48
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 06 Nov 2021 17:11:48 -0700 (PDT)
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
To: Andy Moreton <andrewjmoreton@HIDDEN>, 51497 <at> debbugs.gnu.org
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN>
 <60fea707-a9b2-d9f4-cc45-ffd4539887b6@HIDDEN>
 <87o87253sv.fsf@HIDDEN>
 <60af7952-d702-d40f-928e-1320e6d9520f@HIDDEN>
 <83f40a2a-ae5a-2c6c-cf6a-44ff7c933d16@HIDDEN> <831r3tb7un.fsf@HIDDEN>
 <7e04f090-81de-d5bd-746c-7f09ed0c38b0@HIDDEN> <83lf219i3u.fsf@HIDDEN>
 <86r1btvsso.fsf@HIDDEN> <dbff4358-245e-772c-1b25-a827f05c951e@HIDDEN>
 <86ilx4x4xv.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <1f17978c-0498-a19b-6bb0-6f316a536f8e@HIDDEN>
Date: Sun, 7 Nov 2021 03:11:43 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <86ilx4x4xv.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 51497
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 07.11.2021 02:03, Andy Moreton wrote:
> On Sun 07 Nov 2021, Dmitry Gutov wrote:
> 
>> On 07.11.2021 01:11, Andy Moreton wrote:
>>> That workaround is still needed for me. Without that, nothing in vc-git
>>> works in my environment (64bit minw64 build on win10, using cygwin bash
>>> and git together with cygwin-mount.el from emacs wiki).
>>
>> Does that environment also have an old version of Git? Or is there another
>> reason why it's broken?
> 
> I have git 2.33 in cygwin and MSYS2, so git is not old. I'll look at
> this again now that the changes have stablised.

It would have been nice to receive this feedback before the emacs-28 
branch was cut, when we had more freedom to alter the implementation.

>>> While I realise my setup is somewhat non-standard, other users may also
>>> find that the literal pathspec code also misbehaves.
>>
>> I would like to fix it for all users, but debugging would fall on your
>> shoulders, I'm afraid.
> 
> My note was more to warn that adding this to emacs-28 may bring
> problems.

Adding what? The literal pathspec stuff is already there.

> Looking at this again, Trying "C-x v l" for INSTALL in the repo master
> branch gives (rewrapped for clarity):
> 
>    fatal: :(literal)c:/emacs/git/emacs/master/nt/INSTALL:
>    'c:/emacs/git/emacs/master/nt/INSTALL' is outside repository at
>    '/c/emacs/git/emacs/master'
> 
> This appears to be due to the translation between win32 and cygwin
> (posix) filenames.

It might be fixable inside vc-git--literal-pathspec. Is there some other 
more general path conversion function we should use instead of 
'file-local-name' there? A tested patch would help a lot.

Failing that, I think we'll need to change the "literal pathspecs" 
implementation to yet another approach (adding --literl-pathspecs flag 
instead of manipulating file names). It comes with the same general 
drawbacks as the env var (which is used under the hood), but the 
explicit approach of specifying it in every command would avoid the 
problem of my original fix for that bug.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Nov 2021 23:03:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 06 19:03:36 2021
Received: from localhost ([127.0.0.1]:51075 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjUil-0005zc-Ui
	for submit <at> debbugs.gnu.org; Sat, 06 Nov 2021 19:03:36 -0400
Received: from lists.gnu.org ([209.51.188.17]:52950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mjUik-0005zU-PE
 for submit <at> debbugs.gnu.org; Sat, 06 Nov 2021 19:03:35 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41972)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mjUik-0003Tv-K5
 for bug-gnu-emacs@HIDDEN; Sat, 06 Nov 2021 19:03:34 -0400
Received: from ciao.gmane.io ([116.202.254.214]:59962)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mjUii-0004gw-St
 for bug-gnu-emacs@HIDDEN; Sat, 06 Nov 2021 19:03:34 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mjUig-0000c3-G8
 for bug-gnu-emacs@HIDDEN; Sun, 07 Nov 2021 00:03:30 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Andy Moreton <andrewjmoreton@HIDDEN>
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
Date: Sat, 06 Nov 2021 23:03:24 +0000
Message-ID: <86ilx4x4xv.fsf@HIDDEN>
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN>
 <60fea707-a9b2-d9f4-cc45-ffd4539887b6@HIDDEN>
 <87o87253sv.fsf@HIDDEN>
 <60af7952-d702-d40f-928e-1320e6d9520f@HIDDEN>
 <83f40a2a-ae5a-2c6c-cf6a-44ff7c933d16@HIDDEN>
 <831r3tb7un.fsf@HIDDEN>
 <7e04f090-81de-d5bd-746c-7f09ed0c38b0@HIDDEN>
 <83lf219i3u.fsf@HIDDEN> <86r1btvsso.fsf@HIDDEN>
 <dbff4358-245e-772c-1b25-a827f05c951e@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (windows-nt)
Cancel-Lock: sha1:tpkrBiURqanlPEUxiE+FuBbOOlo=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: 5
X-Spam_score: 0.5
X-Spam_bar: /
X-Spam_report: (0.5 / 5.0 requ) BAYES_00=-1.9, DKIM_ADSP_CUSTOM_MED=0.001,
 FORGED_GMAIL_RCVD=1, FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, NML_ADSP_CUSTOM_MED=0.9,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On Sun 07 Nov 2021, Dmitry Gutov wrote:

> On 07.11.2021 01:11, Andy Moreton wrote:
>> That workaround is still needed for me. Without that, nothing in vc-git
>> works in my environment (64bit minw64 build on win10, using cygwin bash
>> and git together with cygwin-mount.el from emacs wiki).
>
> Does that environment also have an old version of Git? Or is there another
> reason why it's broken?

I have git 2.33 in cygwin and MSYS2, so git is not old. I'll look at
this again now that the changes have stablised.

>> While I realise my setup is somewhat non-standard, other users may also
>> find that the literal pathspec code also misbehaves.
>
> I would like to fix it for all users, but debugging would fall on your
> shoulders, I'm afraid.

My note was more to warn that adding this to emacs-28 may bring
problems.

Looking at this again, Trying "C-x v l" for INSTALL in the repo master
branch gives (rewrapped for clarity):

  fatal: :(literal)c:/emacs/git/emacs/master/nt/INSTALL:
  'c:/emacs/git/emacs/master/nt/INSTALL' is outside repository at
  '/c/emacs/git/emacs/master'

This appears to be due to the translation between win32 and cygwin
(posix) filenames.

    AndyM





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 6 Nov 2021 22:21:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 06 18:21:49 2021
Received: from localhost ([127.0.0.1]:51005 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjU4L-0002jh-AI
	for submit <at> debbugs.gnu.org; Sat, 06 Nov 2021 18:21:49 -0400
Received: from mail-lf1-f43.google.com ([209.85.167.43]:40889)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mjU49-0002jE-K2
 for 51497 <at> debbugs.gnu.org; Sat, 06 Nov 2021 18:21:48 -0400
Received: by mail-lf1-f43.google.com with SMTP id d21so26629074lfg.7
 for <51497 <at> debbugs.gnu.org>; Sat, 06 Nov 2021 15:21:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=i+K75OfdV77DnZhTUG92AK5PJxgKLvLot4qUsQF1iEQ=;
 b=jnrRJSQlz7xY7yG2g2qg3/iZl2cCbh7X9nD9Qegvk1/v2dEQ3zDxFhRjVJf7MzUpcG
 zqZef17wvuwxUqi7EIyMrhhP1qx0oS3EHOi4aEeABZafM1+jaC7cuFS+qULoUUCmZ8Y4
 psucPjwoXlxF3vCU0pkj+o0SSnFmnc3tNsjndVGmPTFXxcQQJrUR7W0fcebBsquxRTQE
 CRvaa31k8WdU4D5v39QcT6bbJnV4utAESxwagKA8N/BTsc87EqQF3phBJMQXlknb27sy
 +w/0Cj+EuXzvcSVaeDAcIpAsvojGy+edB3NL+gNFtOb2rmPVj+FE15lEpDukncFMRJxH
 jxqA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=i+K75OfdV77DnZhTUG92AK5PJxgKLvLot4qUsQF1iEQ=;
 b=MW8Gep3DTjjtfglMlRAtN19cxZeqhGg9gRgbO8cAcqvsx2IJLji3RfXtDliNVCV7vZ
 DGNtKcjf6lPd78sznMyYBNsJ0ZsGfIJz53kyp5QE6oQoSwUOZTLFh0Ukl5SVkHiWXo89
 rfamgwaZgelTRLL3enqVOwQGpu51iOgy6yi1ytI4rBs9cUkpuxCA2UtgYiOZP/EXy6Ty
 OULt0SrgQr15KCVvBsWMCH3XYOu27mmKKxOTEMOxwxQCh9ES5KcViRlHNYAeE4ODy69Y
 MGCrYwPci05aZgJie96At/aEY4jOqDSGD2dAouyRw2gUkeuTTB4JK1sjf+5b40NdmzF6
 oIeg==
X-Gm-Message-State: AOAM5310Q3Xw5Ktd6RrunaJcAtTRMo8fn5RTc0uv2Cus31Y8kBrL0fJr
 yRw/ivX45EJe0J6H7rWGoBJz/ru/crI=
X-Google-Smtp-Source: ABdhPJw8Hk1vafuZd0XkJn37sGJjUmovLtqQCQLq7lBOVAdCoBJPyyAs5gNaq7dJ2xBAx9uctgIQrw==
X-Received: by 2002:a05:6512:987:: with SMTP id
 w7mr61955107lft.556.1636237291832; 
 Sat, 06 Nov 2021 15:21:31 -0700 (PDT)
Received: from [192.168.0.103] ([5.18.235.131])
 by smtp.googlemail.com with ESMTPSA id v4sm1158422ljj.77.2021.11.06.15.21.31
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 06 Nov 2021 15:21:31 -0700 (PDT)
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
To: Andy Moreton <andrewjmoreton@HIDDEN>, 51497 <at> debbugs.gnu.org
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN>
 <60fea707-a9b2-d9f4-cc45-ffd4539887b6@HIDDEN>
 <87o87253sv.fsf@HIDDEN>
 <60af7952-d702-d40f-928e-1320e6d9520f@HIDDEN>
 <83f40a2a-ae5a-2c6c-cf6a-44ff7c933d16@HIDDEN> <831r3tb7un.fsf@HIDDEN>
 <7e04f090-81de-d5bd-746c-7f09ed0c38b0@HIDDEN> <83lf219i3u.fsf@HIDDEN>
 <86r1btvsso.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <dbff4358-245e-772c-1b25-a827f05c951e@HIDDEN>
Date: Sun, 7 Nov 2021 01:21:26 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <86r1btvsso.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 51497
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 07.11.2021 01:11, Andy Moreton wrote:
> That workaround is still needed for me. Without that, nothing in vc-git
> works in my environment (64bit minw64 build on win10, using cygwin bash
> and git together with cygwin-mount.el from emacs wiki).

Does that environment also have an old version of Git? Or is there 
another reason why it's broken?

> While I realise my setup is somewhat non-standard, other users may also
> find that the literal pathspec code also misbehaves.

I would like to fix it for all users, but debugging would fall on your 
shoulders, I'm afraid.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 6 Nov 2021 22:19:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 06 18:19:46 2021
Received: from localhost ([127.0.0.1]:50991 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjU2I-0002fS-D5
	for submit <at> debbugs.gnu.org; Sat, 06 Nov 2021 18:19:46 -0400
Received: from mail-lj1-f169.google.com ([209.85.208.169]:40602)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mjU2E-0002fB-5r
 for 51497 <at> debbugs.gnu.org; Sat, 06 Nov 2021 18:19:40 -0400
Received: by mail-lj1-f169.google.com with SMTP id i26so21464328ljg.7
 for <51497 <at> debbugs.gnu.org>; Sat, 06 Nov 2021 15:19:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=MQpph0kJoAG8d0ghieKUEZRPKQvCqIi4R7khtYKZwLo=;
 b=Ep0BlxKvTomMDJTnD5MgnFISXOj0afQkeYo4SUE2wWiaBh4U6hWBEYrl772yX4Q+po
 7qG7W7uxDIzTFl5GHkpOgWH3flF66vGNDHroR9WIQ/QT6xo/k4YgsczWZlik/LQP79tA
 uXTwpUxRRX5tQH/sls9T2Azjn4ruzrJZ3NNz5KXyvuzKt0INvG1OO4PZ9reDX77oKL1B
 ikPpw++dGrvyuNaLIUm/KGyiM426tdYM2sM8thE2YHtEgeYejK5SRi4y8xvaPGCQJ0FC
 ELmx9p8yc04pTcvMXOY7t+CTPhwFT/vue+4FhVQa6Er2JhEKFF3TVgLJML6kRtgelm6T
 9+tg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=MQpph0kJoAG8d0ghieKUEZRPKQvCqIi4R7khtYKZwLo=;
 b=yW/8FMm2F0FqG0cePMJ9MP+KbcaQS0nTZNdv8okUFbterDiNtXWZA0OCCl9SQ4IFYz
 WMKgvq8G3S98Swrv+NXyr+I952WsoLmvMj1MJgnrePwJ0ewpE7pxk3ga6LvN0t77/60J
 7k21w0pgtLxcRwjphTv7sslZYVi4iA/pd3bGtvj6dK89OCD7r9/wHnyjKASCaPSFRrrU
 HA2rGVUEcOzuRMpQwD/B64s+bRrtiYF357gG3reruU4KCxP0GBucoQI9quU5oH202PUG
 3cyUzxmQMEx0vkaLG3Aw/V3jDcPzGyHWnZdrH0vOK2LpMsxd6zFuhbTymTFxLgX5GvVf
 rGOQ==
X-Gm-Message-State: AOAM533VVtwotOdVOLwrEyKYIZ+MNRBrqeMKxEaHXflOTGkvcwTIjwaB
 UeAm6TyaYXqKek9hUTlQmaE=
X-Google-Smtp-Source: ABdhPJw84mtCVBOkwMJ9sGnEkn2US1QrqAqFEBZksnNEsiktrA2W1i3l0zd2LEve45IFzswtpMTBnA==
X-Received: by 2002:a2e:a378:: with SMTP id i24mr4810441ljn.290.1636237172005; 
 Sat, 06 Nov 2021 15:19:32 -0700 (PDT)
Received: from [192.168.0.103] ([5.18.235.131])
 by smtp.googlemail.com with ESMTPSA id h19sm106092lja.71.2021.11.06.15.19.30
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 06 Nov 2021 15:19:31 -0700 (PDT)
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
To: Eli Zaretskii <eliz@HIDDEN>
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN>
 <60fea707-a9b2-d9f4-cc45-ffd4539887b6@HIDDEN>
 <87o87253sv.fsf@HIDDEN>
 <60af7952-d702-d40f-928e-1320e6d9520f@HIDDEN>
 <83f40a2a-ae5a-2c6c-cf6a-44ff7c933d16@HIDDEN> <831r3tb7un.fsf@HIDDEN>
 <7e04f090-81de-d5bd-746c-7f09ed0c38b0@HIDDEN> <83lf219i3u.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <f942558f-1e76-3294-27da-bee3c8945e1c@HIDDEN>
Date: Sun, 7 Nov 2021 01:19:26 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <83lf219i3u.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 06.11.2021 22:52,
 Eli Zaretskii wrote: >> Cc: lists@HIDDEN, 
 51497 <at> debbugs.gnu.org, larsi@HIDDEN, >> wolfgang.scherer@HIDDEN >> From:
 Dmitry Gutov >> Date: Sat, 6 Nov 2021 22:44:55 [...] 
 Content analysis details:   (1.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (raaahh[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.208.169 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.208.169 listed in wl.mailspike.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 -0.1 NICE_REPLY_A           Looks like a legit reply (A)
 1.0 FREEMAIL_REPLY         From and body contain different freemails
X-Debbugs-Envelope-To: 51497
Cc: lists@HIDDEN, 51497 <at> debbugs.gnu.org, larsi@HIDDEN,
 wolfgang.scherer@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 06.11.2021 22:52, Eli Zaretskii wrote:
>> Cc: lists@HIDDEN, 51497 <at> debbugs.gnu.org, larsi@HIDDEN,
>>   wolfgang.scherer@HIDDEN
>> From: Dmitry Gutov <dgutov@HIDDEN>
>> Date: Sat, 6 Nov 2021 22:44:55 +0300
>>
>>> I'm a bit worried by the function relying on the fact that
>>> default-directory is the directory of the repository.  Wouldn't it be
>>> better to explicitly let-bind it inside the function?
>>
>> We could, but notice how most of vc-git-* functions don't bind
>> default-directory, thus relying on its implicit value. It just how VC
>> works: expecting default-directory to have the right value around the calls.
> 
> How certain are you that default-directory has the right value?
> Because if it doesn't, AFAIU all the connection-specific stuff will
> fall apart.

Reasonably, but not 100%. Especially with third-party code which calls 
into VC (it could adapt independently from Emacs releases, though).

We could try to bind default-directory inside vc-git--literal-pathspec, 
but this approach is not 100% reliable either: for all I know, sometimes 
FILE will be a relative name (we even have a file-name-absolute-p check 
inside).

But what's the worst thing that can happen because of this? Suppose some 
caller will leave default-directory at a wrong value. Then 
vc-git--program-version will return the version from a wrong host. And 
some particular command (probably a less popular one) will remain broken 
on remote CentOS 7 machines. That's still an improvement compared to the 
current sutuation.

So I suggest we push the proposed change to emacs-28 and then maybe back 
it out (or modify as necessary) if problems arise.

>>> A (perhaps safer) alternative for emacs-28 would be not to use
>>> :(literal) for remote repositories.  What are the disadvantages of
>>> that?
>>
>> That would mean leaving bug#39452 unfixed on remote hosts.
> 
> Only for files with wildcard characters in their names.  How
> frequently does that happen?  Also, it will be only unsolved in Emacs
> 28.

I've never seen this in practice, but some other categories of users 
might encounter it more often (e.g. science people, who tend to use more 
exotic files names). And when one does see it, it must be very annoying 
to debug.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Nov 2021 22:11:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 06 18:11:23 2021
Received: from localhost ([127.0.0.1]:50978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjTuB-0002Su-5C
	for submit <at> debbugs.gnu.org; Sat, 06 Nov 2021 18:11:23 -0400
Received: from lists.gnu.org ([209.51.188.17]:40390)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mjTu7-0002Sh-24
 for submit <at> debbugs.gnu.org; Sat, 06 Nov 2021 18:11:18 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35242)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mjTu6-0000nA-Nf
 for bug-gnu-emacs@HIDDEN; Sat, 06 Nov 2021 18:11:14 -0400
Received: from ciao.gmane.io ([116.202.254.214]:32912)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mjTu4-0002MM-Kg
 for bug-gnu-emacs@HIDDEN; Sat, 06 Nov 2021 18:11:14 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mjTu2-0001p0-AZ
 for bug-gnu-emacs@HIDDEN; Sat, 06 Nov 2021 23:11:10 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Andy Moreton <andrewjmoreton@HIDDEN>
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
Date: Sat, 06 Nov 2021 22:11:03 +0000
Message-ID: <86r1btvsso.fsf@HIDDEN>
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN>
 <60fea707-a9b2-d9f4-cc45-ffd4539887b6@HIDDEN>
 <87o87253sv.fsf@HIDDEN>
 <60af7952-d702-d40f-928e-1320e6d9520f@HIDDEN>
 <83f40a2a-ae5a-2c6c-cf6a-44ff7c933d16@HIDDEN>
 <831r3tb7un.fsf@HIDDEN>
 <7e04f090-81de-d5bd-746c-7f09ed0c38b0@HIDDEN>
 <83lf219i3u.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (windows-nt)
Cancel-Lock: sha1:orurG+XRsTmCfxS39Z7BWsnCi8E=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: 15
X-Spam_score: 1.5
X-Spam_bar: +
X-Spam_report: (1.5 / 5.0 requ) BAYES_00=-1.9, DKIM_ADSP_CUSTOM_MED=0.001,
 FORGED_GMAIL_RCVD=1, FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 FREEMAIL_REPLY=1, HEADER_FROM_DIFFERENT_DOMAINS=0.249, NML_ADSP_CUSTOM_MED=0.9,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sat 06 Nov 2021,
 Eli Zaretskii wrote: >> Cc: lists@HIDDEN, 
 51497 <at> debbugs.gnu.org, larsi@HIDDEN, >> wolfgang.scherer@HIDDEN >> From:
 Dmitry Gutov >> Date: Sat, 6 Nov 2021 22:44:55 +0300 >> >> > I'm a bit worried
 by the fu [...] 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (andrewjmoreton[at]gmail.com)
 1.0 FORGED_GMAIL_RCVD      'From' gmail.com does not match 'Received'
 headers
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=geb-bug-gnu-emacs%40m.gmane-mx.org; ip=209.51.188.17; r=debbugs.gnu.org]
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.51.188.17 listed in wl.mailspike.net]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 1.0 FREEMAIL_REPLY         From and body contain different freemails
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On Sat 06 Nov 2021, Eli Zaretskii wrote:

>> Cc: lists@HIDDEN, 51497 <at> debbugs.gnu.org, larsi@HIDDEN,
>>  wolfgang.scherer@HIDDEN
>> From: Dmitry Gutov <dgutov@HIDDEN>
>> Date: Sat, 6 Nov 2021 22:44:55 +0300
>> 
>> > I'm a bit worried by the function relying on the fact that
>> > default-directory is the directory of the repository.  Wouldn't it be
>> > better to explicitly let-bind it inside the function?
>> 
>> We could, but notice how most of vc-git-* functions don't bind 
>> default-directory, thus relying on its implicit value. It just how VC 
>> works: expecting default-directory to have the right value around the calls.
>
> How certain are you that default-directory has the right value?
> Because if it doesn't, AFAIU all the connection-specific stuff will
> fall apart.
>
>> > A (perhaps safer) alternative for emacs-28 would be not to use
>> > :(literal) for remote repositories.  What are the disadvantages of
>> > that?
>> 
>> That would mean leaving bug#39452 unfixed on remote hosts.
>
> Only for files with wildcard characters in their names.  How
> frequently does that happen?  Also, it will be only unsolved in Emacs
> 28.

I missed the discussion in bug#39452 at the time, but while the solution
was being worked on, I used advice to stub out the literal pathspec
functions:
  (advice-add 'vc-git--literal-pathspec  :override #'identity)
  (advice-add 'vc-git--literal-pathspecs :override #'identity)

That workaround is still needed for me. Without that, nothing in vc-git
works in my environment (64bit minw64 build on win10, using cygwin bash
and git together with cygwin-mount.el from emacs wiki).

While I realise my setup is somewhat non-standard, other users may also
find that the literal pathspec code also misbehaves.

    AndyM





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 6 Nov 2021 19:53:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 06 15:53:24 2021
Received: from localhost ([127.0.0.1]:50842 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjRke-0000y8-Sq
	for submit <at> debbugs.gnu.org; Sat, 06 Nov 2021 15:53:24 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41800)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mjRkd-0000xw-HH
 for 51497 <at> debbugs.gnu.org; Sat, 06 Nov 2021 15:53:20 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52272)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mjRkU-0003sQ-7N; Sat, 06 Nov 2021 15:53:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=URv1LGjx5WuP/2BdumLQyXCKCgRaEQcZuVZ5odWHvEM=; b=N4oswrrBJ0md
 GEd4FOz7cKFMgcjZrCxL9SNsg0otoUXF+AHIpfavliJk93GiqsR+nSJ/+Qp12rwwIvYM2mGlIRUvU
 WZ4kDAJVhQAYGJw1khWI1lFywhOSO7QR3HrdhITtM546PXdWr54d2auEsQ3t9zrIis4gWLZNYQjav
 LGoXzBZiC9GntOkeMA2YSjItyEt7x50NQRSLMSG+uR7oYneRIE39UNvoRhXb715ocnBl/G6mDbClL
 0XfVJRsKueKPl7irvSgFg3OOpC46PqWIbMpPcg9PIuAK6NX+zEqCxmFjJBPdDFTPusdd54GhJb1/f
 DG3ibsAsSQCVZk7EGcsTyg==;
Received: from [87.69.77.57] (port=3035 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mjRkS-0002mH-V6; Sat, 06 Nov 2021 15:53:10 -0400
Date: Sat, 06 Nov 2021 21:52:53 +0200
Message-Id: <83lf219i3u.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <7e04f090-81de-d5bd-746c-7f09ed0c38b0@HIDDEN> (message from
 Dmitry Gutov on Sat, 6 Nov 2021 22:44:55 +0300)
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN>
 <60fea707-a9b2-d9f4-cc45-ffd4539887b6@HIDDEN>
 <87o87253sv.fsf@HIDDEN>
 <60af7952-d702-d40f-928e-1320e6d9520f@HIDDEN>
 <83f40a2a-ae5a-2c6c-cf6a-44ff7c933d16@HIDDEN> <831r3tb7un.fsf@HIDDEN>
 <7e04f090-81de-d5bd-746c-7f09ed0c38b0@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51497
Cc: lists@HIDDEN, 51497 <at> debbugs.gnu.org, larsi@HIDDEN,
 wolfgang.scherer@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: lists@HIDDEN, 51497 <at> debbugs.gnu.org, larsi@HIDDEN,
>  wolfgang.scherer@HIDDEN
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Sat, 6 Nov 2021 22:44:55 +0300
> 
> > I'm a bit worried by the function relying on the fact that
> > default-directory is the directory of the repository.  Wouldn't it be
> > better to explicitly let-bind it inside the function?
> 
> We could, but notice how most of vc-git-* functions don't bind 
> default-directory, thus relying on its implicit value. It just how VC 
> works: expecting default-directory to have the right value around the calls.

How certain are you that default-directory has the right value?
Because if it doesn't, AFAIU all the connection-specific stuff will
fall apart.

> > A (perhaps safer) alternative for emacs-28 would be not to use
> > :(literal) for remote repositories.  What are the disadvantages of
> > that?
> 
> That would mean leaving bug#39452 unfixed on remote hosts.

Only for files with wildcard characters in their names.  How
frequently does that happen?  Also, it will be only unsolved in Emacs
28.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 6 Nov 2021 19:45:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 06 15:45:10 2021
Received: from localhost ([127.0.0.1]:50809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjRck-0000iv-85
	for submit <at> debbugs.gnu.org; Sat, 06 Nov 2021 15:45:10 -0400
Received: from mail-lf1-f46.google.com ([209.85.167.46]:42627)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mjRcg-0000iG-Ta
 for 51497 <at> debbugs.gnu.org; Sat, 06 Nov 2021 15:45:09 -0400
Received: by mail-lf1-f46.google.com with SMTP id bi35so26081204lfb.9
 for <51497 <at> debbugs.gnu.org>; Sat, 06 Nov 2021 12:45:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=qqwl7k/fTd9suwkI68jCfdZZkJlQ7UrZ5IfZtq4A61A=;
 b=DmEAF2uD7PJO+Y9Jt7MthmTVcnA4H82IIXv7xXRREIGgZWhN1UZETf+nFVdJK7rzjC
 c1GQNTHffBR/d5fB0ADwQ3gXbh0sFVXt5/FuQCZWLCrzYdfACWbna0AdHElBKZEdlkEX
 vUPDjCKjB3rb7yPT5qr3hDsnHXLu95d7BjbRs7g4amD31uOEJge1Gj3mLowwO2sevmlB
 nN1PMRkxA9de/b4mR9+3nZw934zxB4M9pLUa//1CjuH2jwpgJa3TZEeHAkU/aHIZM+Pt
 99/sCDUF+tt47pIaCTNXIpoaUtkkj2GGHfdMKoVqPPU9qftTUMPX2M+/x47+AJ1gjkKN
 CL5Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=qqwl7k/fTd9suwkI68jCfdZZkJlQ7UrZ5IfZtq4A61A=;
 b=Ez4eHGxFoQMRbUUqoe+9Sp9Rb4aKKAeQMkObS+K1KjNP6bAMCFzRX5CUpc4JuCZEPc
 uAvqg99vZx0UfrNLP5+g5V+5BwGhM7bc+l0y7izkv7YwryuVHfAdI9yGVP9a5zDNAWCR
 ZvDSchY+FzifsLyMG6cYxBI07o7tEYZjJIFj6PhD7YgtuDbzJuWGf2PilCmcb1iN/uy8
 VhB+iM9XIrkfkStt4eymQU4tioC8+o4g5DVahBOlgD6QSes/6gvuOAPgqQ19TbgVGP/E
 nUiwDXaHPEaIl9oonN66+FdT+05jmz11QuqFfQq8yuh1NeAJr8C3BZrjEiBNOxeSbf20
 mUzQ==
X-Gm-Message-State: AOAM530xeOegDJ8zBmOiekP//Ru1N55GrKWE5CaoEbZirMQ30CFzbm3N
 H3dW9TRHpWJRIZ4q7GphuUE=
X-Google-Smtp-Source: ABdhPJxti0uXbmW+vVBN1K9XN0AYqelD0ERHS7zO1B5QJLu0L7jg7Bj/tG3Paw4zTcFrftySo6qwAA==
X-Received: by 2002:ac2:4e09:: with SMTP id e9mr61323167lfr.308.1636227900745; 
 Sat, 06 Nov 2021 12:45:00 -0700 (PDT)
Received: from [192.168.0.103] ([5.18.235.131])
 by smtp.googlemail.com with ESMTPSA id x16sm1239878lfu.112.2021.11.06.12.44.59
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 06 Nov 2021 12:45:00 -0700 (PDT)
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
To: Eli Zaretskii <eliz@HIDDEN>
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN>
 <60fea707-a9b2-d9f4-cc45-ffd4539887b6@HIDDEN>
 <87o87253sv.fsf@HIDDEN>
 <60af7952-d702-d40f-928e-1320e6d9520f@HIDDEN>
 <83f40a2a-ae5a-2c6c-cf6a-44ff7c933d16@HIDDEN> <831r3tb7un.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <7e04f090-81de-d5bd-746c-7f09ed0c38b0@HIDDEN>
Date: Sat, 6 Nov 2021 22:44:55 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <831r3tb7un.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 51497
Cc: lists@HIDDEN, 51497 <at> debbugs.gnu.org, larsi@HIDDEN,
 wolfgang.scherer@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 06.11.2021 18:51, Eli Zaretskii wrote:
>> From: Dmitry Gutov <dgutov@HIDDEN>
>> Cc: 51497 <at> debbugs.gnu.org, Wolfgang Scherer <wolfgang.scherer@HIDDEN>,
>>   Dima Kogan <lists@HIDDEN>
>> Date: Sat, 6 Nov 2021 16:22:56 +0300
>>
>> On 03.11.2021 15:06, Dmitry Gutov wrote:
>>> Lars, Eli, can we put it in Emacs 28?
>>
>> Ping.
> 
> Sorry for missing the original question.
> 
> I'm a bit worried by the function relying on the fact that
> default-directory is the directory of the repository.  Wouldn't it be
> better to explicitly let-bind it inside the function?

We could, but notice how most of vc-git-* functions don't bind 
default-directory, thus relying on its implicit value. It just how VC 
works: expecting default-directory to have the right value around the calls.

The only current caller of vc-git--program-version (vc-git-state) does 
not either. The backend methods that do, seem to do that with some 
additional purpose (like having default-directory point to the 
repository root, rather than be a random directory inside it).

> A (perhaps safer) alternative for emacs-28 would be not to use
> :(literal) for remote repositories.  What are the disadvantages of
> that?

That would mean leaving bug#39452 unfixed on remote hosts. Seems like a 
significant disadvantage to me (inconsistent behavior leads to more 
difficult reproduction and reporting of bugs, in particular for those 
who will notice this problem remotely but would not be able to reproduce 
locally). Given that the code complexity added by fixing this bug would 
remain with us, seems more like worst-of-both-worlds kind of situation.

But it would make VC work on remote CentOS 7 hosts again, there's that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 6 Nov 2021 15:52:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 06 11:52:00 2021
Received: from localhost ([127.0.0.1]:50237 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjNz6-0008UU-B3
	for submit <at> debbugs.gnu.org; Sat, 06 Nov 2021 11:52:00 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50150)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mjNz0-0008U9-7E
 for 51497 <at> debbugs.gnu.org; Sat, 06 Nov 2021 11:51:59 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45654)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mjNyq-0008N1-Mx; Sat, 06 Nov 2021 11:51:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=LMX0sCdkTOEdmyX6A30VQ8ByE5Vo6TJpDCBuDossSQc=; b=VgfDZBd7Fs3x
 mmIYx9fGyeoPIOl9nFufntgzdlQ7OfW3ted/uR37n8luRO5IpAfSokZQn8FXTVjIUGVlxE6Hdj5tH
 XnfESqpkqiLwua6UxkGXJs5IkayVLopU1FIE3sR5M2WKLaBwapKJs/VAcFDcheEtgRmhnaM4XoK2M
 OX3EGAF5eWoRF0LhLSgjjMP6QCpBikvS/5SeX8OGwAiWyEB+wKZlaLE45cHQl8aZx4t2A1u/mN0zp
 KHrIyR8eEcxu2l1w2+gxKzBXDAxMiWzLJm8YFDAgq1HtLU/cpYx5use0f14ZlNZvFW8sZVG9P0SSP
 luvsePHArMDYqWX05ueyLA==;
Received: from [87.69.77.57] (port=3907 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mjNyq-0008IR-1z; Sat, 06 Nov 2021 11:51:44 -0400
Date: Sat, 06 Nov 2021 17:51:28 +0200
Message-Id: <831r3tb7un.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <83f40a2a-ae5a-2c6c-cf6a-44ff7c933d16@HIDDEN> (message from
 Dmitry Gutov on Sat, 6 Nov 2021 16:22:56 +0300)
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN>
 <60fea707-a9b2-d9f4-cc45-ffd4539887b6@HIDDEN>
 <87o87253sv.fsf@HIDDEN>
 <60af7952-d702-d40f-928e-1320e6d9520f@HIDDEN>
 <83f40a2a-ae5a-2c6c-cf6a-44ff7c933d16@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51497
Cc: lists@HIDDEN, 51497 <at> debbugs.gnu.org, larsi@HIDDEN,
 wolfgang.scherer@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Dmitry Gutov <dgutov@HIDDEN>
> Cc: 51497 <at> debbugs.gnu.org, Wolfgang Scherer <wolfgang.scherer@HIDDEN>,
>  Dima Kogan <lists@HIDDEN>
> Date: Sat, 6 Nov 2021 16:22:56 +0300
> 
> On 03.11.2021 15:06, Dmitry Gutov wrote:
> > Lars, Eli, can we put it in Emacs 28?
> 
> Ping.

Sorry for missing the original question.

I'm a bit worried by the function relying on the fact that
default-directory is the directory of the repository.  Wouldn't it be
better to explicitly let-bind it inside the function?

A (perhaps safer) alternative for emacs-28 would be not to use
:(literal) for remote repositories.  What are the disadvantages of
that?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 6 Nov 2021 13:23:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 06 09:23:13 2021
Received: from localhost ([127.0.0.1]:48703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjLf7-0004JT-3I
	for submit <at> debbugs.gnu.org; Sat, 06 Nov 2021 09:23:13 -0400
Received: from mail-lj1-f171.google.com ([209.85.208.171]:37521)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mjLf2-0004JC-6W
 for 51497 <at> debbugs.gnu.org; Sat, 06 Nov 2021 09:23:11 -0400
Received: by mail-lj1-f171.google.com with SMTP id m5so1494920ljp.4
 for <51497 <at> debbugs.gnu.org>; Sat, 06 Nov 2021 06:23:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:from:to:cc:references:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=KiczSYAm5zKxa5wovb1LUrzRgel9Y+qUicbC640F/XI=;
 b=X/yYl3QVtHbA1psoyFTWtMT6ttTIloCewJ94Q5OqpJ0tSMzk64CluENDqPy27+YJZ1
 OQNTk1nQYQuRFpglBTiHC70b35oTsqBV3XJPLUgvfdJ2vx9iXuRNLEIju6jF2ZcQuXIH
 RhUAyCUhz5N9ftrz5cMCH0x4M+Nu+Asq7CZO70vbSMig9DquZvUGx/rIhU4GPP8dLT/f
 6F+XgokjmwrZdtiAeipGnC50meK7Rnc6tEsxJFYj3qs8Ep4Vs/mEP8bWMwpbmAZT+s0I
 X4/WGjLOmFtkr7nZbflAZ0Gt+iPnADcGM6SmatnOCsRoXq1Seet63ZuOZH+ztUMXvl30
 QntQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:from:to:cc:references:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=KiczSYAm5zKxa5wovb1LUrzRgel9Y+qUicbC640F/XI=;
 b=Qj/ZQ6FxPt9QD5a3TuJY0RTZ8XWYX4UYHI6UjAwIi6D2Ss+yD8SUmzfby2n/B/nRWW
 mN3JC7cywohb5GV/SbqByCxYNtAiSQc+s+CCj2oAhdkuXCAgfkKZYlT3HvD+cY42M5LF
 bduuzo0bevY2wR+GUfm2Bq9sVru3yNcfd7trX8zgO4MKkyRH/G/OzKT27n0UzOj2SUTh
 Yt1K5z1P6e6h9yyUiP3s+5rG5xqrnHhwG/wwIhK54eR2oJtMUPLqxfULTAe+a3TnZKLj
 otU8BfTQKC5TB+5HoZqEp9FbcaIhXCJqWlAQnZx90PS0+148pMH5fWHtMHRB3TOodIOM
 Y0Tw==
X-Gm-Message-State: AOAM533RsZbdqL3NIoNMQM5nkzqiapnUwiI7wjkQZvi7K8voApEgmE5q
 OQIhnRxqr4C7ihjCcWBNoHo=
X-Google-Smtp-Source: ABdhPJzFS0I69VkBH0ExC3CKsR6xwMh4A3UoqbpLOfKQwffzwnQbUM37QNz7A/OFvPG25n6a9ynT/A==
X-Received: by 2002:a2e:bc1b:: with SMTP id b27mr26665923ljf.110.1636204982166; 
 Sat, 06 Nov 2021 06:23:02 -0700 (PDT)
Received: from [192.168.0.103] ([5.18.158.28])
 by smtp.googlemail.com with ESMTPSA id s14sm1160576lfe.14.2021.11.06.06.23.00
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 06 Nov 2021 06:23:01 -0700 (PDT)
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
From: Dmitry Gutov <dgutov@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN>
 <60fea707-a9b2-d9f4-cc45-ffd4539887b6@HIDDEN>
 <87o87253sv.fsf@HIDDEN>
 <60af7952-d702-d40f-928e-1320e6d9520f@HIDDEN>
Message-ID: <83f40a2a-ae5a-2c6c-cf6a-44ff7c933d16@HIDDEN>
Date: Sat, 6 Nov 2021 16:22:56 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <60af7952-d702-d40f-928e-1320e6d9520f@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 51497
Cc: Dima Kogan <lists@HIDDEN>, 51497 <at> debbugs.gnu.org,
 Wolfgang Scherer <wolfgang.scherer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 03.11.2021 15:06, Dmitry Gutov wrote:
> Lars, Eli, can we put it in Emacs 28?

Ping.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 5 Nov 2021 02:00:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 04 22:00:29 2021
Received: from localhost ([127.0.0.1]:44059 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mioWr-0004IH-H6
	for submit <at> debbugs.gnu.org; Thu, 04 Nov 2021 22:00:29 -0400
Received: from mail-lf1-f41.google.com ([209.85.167.41]:41488)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mioWp-0004I4-PD
 for 51497 <at> debbugs.gnu.org; Thu, 04 Nov 2021 22:00:28 -0400
Received: by mail-lf1-f41.google.com with SMTP id br12so13846092lfb.8
 for <51497 <at> debbugs.gnu.org>; Thu, 04 Nov 2021 19:00:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=G+8ncqcSG/kxV1OFxo9mgpkgqfKfAvjQ5e1V1JECvB4=;
 b=P+fDm46VGX0MHLptd+VuJ+TJc56Rf84965oEvxGXqfNK7NlFkGlIakQg9A+HZC3uOE
 kXQjrRzOPZEDjCsEryK7QcjTWSdugOyx+f51s2NPaSAtckxdNsNHPGd4Uy7EZyJQxCx3
 K723h+Qx5zXUn0k83ehFGNGwFFh1dRnQru9d/hKwzYDvBRO0u2zvm10dfBUlxyyarM9Z
 pHwTLENW/ulTjWBA9mCcauYgHBlmvQu811OiBtCoXWPJI1Gkno70MPFGYuCaV+kflZT2
 hIhh5DNEAEh/sNDb0w0MAEv8BbiI/Ky4MaNg8QfHaf3lulfx/E5kdsfvcWj9s05j1AJz
 g8Ww==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=G+8ncqcSG/kxV1OFxo9mgpkgqfKfAvjQ5e1V1JECvB4=;
 b=eiW92P4qOAGy2q4qu4rqKb63nPHFBiu/TCU682SQx5xrnZ0XjSseSWXW+rrF1MoZMH
 BvlESO3D0i2OF4ak5loBjlDvbva+hucts61vMpztaUpFoR7UKXV4TXx4lNptd5bhbINV
 sWAwWIn2CUtFqDyCC3J+xyDsEz78UNOlUzFW90uGiCPaY+JMSWtVo7dDvJl18Yk0QLRB
 0n/ZmESe0QaB36fGGOt/4ZM2hOBQ4Ptk2QqO9lYvkRTXOv0wZHQddY1d00gEFrAlbpez
 YreRHos2BBHwjV+4lhBSJgLEXprOxFpLz8l50O8FEbKT1d5Q7TXLe5mR52ZNfjVIT9np
 hGBA==
X-Gm-Message-State: AOAM5335m/0MeiXuSjjTGKUrUDYxdnhyRzhPXqk/ZvgosdnVf9CggR5J
 tp8hPfz2wAw5X3eqMWITtFA=
X-Google-Smtp-Source: ABdhPJx6Vw84wQ9mTfaTw79V0Mt+WLGlL4K7nM21DXyDHvb/5x1ioTdJfOBIiSP9Vdn2uU2pxESciQ==
X-Received: by 2002:a05:6512:33cc:: with SMTP id
 d12mr49084646lfg.59.1636077621466; 
 Thu, 04 Nov 2021 19:00:21 -0700 (PDT)
Received: from [192.168.0.103] ([5.18.158.28])
 by smtp.googlemail.com with ESMTPSA id o24sm550398lji.135.2021.11.04.19.00.20
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 04 Nov 2021 19:00:20 -0700 (PDT)
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
To: Michael Albinus <michael.albinus@HIDDEN>
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN> <87r1c14njw.fsf@HIDDEN>
 <be570cd6-d170-7ff7-0729-77fb03d652b7@HIDDEN> <87mtmp41tt.fsf@HIDDEN>
 <5744f091-a9d2-fdd8-43cf-cc94fb3fdbda@HIDDEN> <878ry56ua7.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <f3955e12-11b1-30f4-b348-9940eb533930@HIDDEN>
Date: Fri, 5 Nov 2021 05:00:16 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <878ry56ua7.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 51497
Cc: 51497 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Dima Kogan <dima@HIDDEN>, Wolfgang Scherer <wolfgang.scherer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

Hi Michael,

On 03.11.2021 20:09, Michael Albinus wrote:
>> I wonder if we could have some helper that is more succinct. One that
>> didn't require the client code to auto-generate the profile name, for
>> instance.
> 
> Perhaps. I have some health problems these days, so I will check next
> week or so. However, a helper function (in files-x.el) would be good for
> Emacs 29 only.

Of course.

Take care,
Dmitry.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 3 Nov 2021 17:09:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 03 13:09:29 2021
Received: from localhost ([127.0.0.1]:41022 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1miJlQ-0007LT-V2
	for submit <at> debbugs.gnu.org; Wed, 03 Nov 2021 13:09:29 -0400
Received: from mout.gmx.net ([212.227.15.15]:34631)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1miJlP-0007LC-Qv
 for 51497 <at> debbugs.gnu.org; Wed, 03 Nov 2021 13:09:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1635959358;
 bh=tHTv8M8+iGM4WsCpqD7qxlD/gGhj1IO6ebogaipxBts=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=XWqVACq3XfUpNvIEP8bdFhJn11L4Ly55J5kvEnN7X2W6Y+l1l9kiDKku92iPqKRCw
 WbZTxRszjMy0YZN8k16r16mm8SdHix+av88cge9NHsQIak+kdtex95UOQpmKs/cOLf
 vvFq+ZilpixEp7EGwRxf7zfiQzFKr/A9E5KTsoQs=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([217.70.140.110]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MDQiS-1mrhg81mUg-00AZYG; Wed, 03
 Nov 2021 18:09:18 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN> <87r1c14njw.fsf@HIDDEN>
 <be570cd6-d170-7ff7-0729-77fb03d652b7@HIDDEN>
 <87mtmp41tt.fsf@HIDDEN>
 <5744f091-a9d2-fdd8-43cf-cc94fb3fdbda@HIDDEN>
Date: Wed, 03 Nov 2021 18:09:04 +0100
In-Reply-To: <5744f091-a9d2-fdd8-43cf-cc94fb3fdbda@HIDDEN> (Dmitry Gutov's
 message of "Wed, 3 Nov 2021 05:00:49 +0300")
Message-ID: <878ry56ua7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:ghYHLoiBzP/f66Ktc2c0sdwl+Thl4Cbzd/RC29DUTrinI8Tz5/9
 fSQ7IvihRvScpXWLV966p1b0vqWU9RUyBpCS4Kpx5oaB1IJxhB+vNe0bF5U+Aw1a3g/lcy9
 dxbA60xGa10pA/za+4/+NNPHu7f7/0HQcBzkOTXwVivwQTA+NE1MOaCdLdpgJ4J4EfEKu8w
 pk3HadOERdKeMA00zmnVg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:czYVSwIOdOw=:9XZnzV+zN9dhuTOp8I8Sck
 aQjNytsWgVDkM5xiWTse3yfr5chLgtNkqi1wYuS/uBcKpNFJhsWxs7SCdB6G2iMF2zPPwGsV8
 aEEps2o8ukkEyGrAEWA1Cv8oWjmld6+hmazxHBUO9F4JMq2zMbhQkqW5mMTMHb+ZFulorKGKs
 +dCn5+w0woN9lAw+0iUiAqDLEaNabKC7RePA4x4KrjNrZtmrPAJnIxqEMsfDtLqrY44MzD00W
 evJEWsJURZBOr3Ps5KFNzQkZ4QaSKSWioF26Ns0RZu8KU8VeVZcQ38Ffxt/gXpB66kHKH49fP
 Ka9Loub6ufXL/55Hc1cOoxEsgoe2jws8UoWlMCx7JClvXUV0861UAHP6uK+sS7kAF7675G/6W
 LuATHycrRQlRgYMXTCULgM73h0xdtrkFdioWJnq0itMzVN4hLwzrB/G982rgQVMXYcQQr4aeF
 sHqC5ZJ5tI4lqc3DQpmnzIvY+HFQSRMXk/jMGU5ZixOyz4Ahm/lL6pPFW6OeqFq4rvvX3uSGl
 1cF8hv7Oy8Ebwz5ICmXBnMdNgwcUxTJvfl9VVj8ooIuxOZ1QfdxHdnDkHcXGoOq/iG1qvvA7y
 RDxR3owyAVHTJbft8RUfotT9+KKYLML9hGb0ERMVLBm1GMqFb8UhiTuSVL7jciw/YSYh7vYFT
 F1yTXu6/qUEREKrjkawJeIg8YahRvTCMMtZZmP7WjL1M2y2i8aPl70Ohd0IuoE6nEA8FPvowR
 4+PNvT210GRdrNAZ1pC3NyvW5/lrkcJloPzT8WlnqVf0XY34vfhRTV0KVrsPD4+ax15GxJMjX
 1knuJlcJWQ1AAJaBQtWUCRoJbd72HG3f3D1JQ37UaX+ClRVf8qQCJa7W5FqmucIlaTK/cST1j
 wec8eGbqHsydxE5XIFUi12syiq/6iSG+TM2kI3McirZagB6iHHTuQHb53+pd4hvBD4xRY9+k1
 t+GNzWx0tUwSOt14Ra80vyYOnLCoHBESDMGAZXzq+X6vrYRm0teP8HNHEC9sWBmnwymOrSexu
 Cqcos46xO1OQoQpx/aZEHA46mmQUb5kl4Uy+scElGAxKzC/EQQk8+G2Q2GA//XYhUTgWvhk/N
 9DeQdJZl3IVQw6wpgVKH8XeUcXKHdIZasnpKFVA5L4PEgrj8C2DKVfjmC4fMirQo7Px8zwroo
 Wx639YUwdEPX+VS6UfBEWFX3yoQ8ImqpRTkoKpvySeEUWHwvS69IXgTlF3B2JICZIgMafXINw
 86J8sMe48Sf9QwW08G+H181OWTzQrjXvEyR3g7fwf8IEnjrr5+c9Aw4W2FM6F/GC1vsV37WhV
 N/38fH7h7sx8QVTmbMlE7aQwSajt5jtqetzCF/ztNnjZrSVDHXmZ6XAHX3UlJdDIWXnESvT8O
 vE7kABqfqNw5HhotEzPHA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51497
Cc: 51497 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Dima Kogan <dima@HIDDEN>, Wolfgang Scherer <wolfgang.scherer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Dmitry Gutov <dgutov@HIDDEN> writes:

> Hi Michael,

Hi Dmitry,

> I wonder if we could have some helper that is more succinct. One that
> didn't require the client code to auto-generate the profile name, for
> instance.

Perhaps. I have some health problems these days, so I will check next
week or so. However, a helper function (in files-x.el) would be good for
Emacs 29 only.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 3 Nov 2021 12:06:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 03 08:06:53 2021
Received: from localhost ([127.0.0.1]:39317 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1miF2b-0006Z9-2Z
	for submit <at> debbugs.gnu.org; Wed, 03 Nov 2021 08:06:53 -0400
Received: from mail-lj1-f176.google.com ([209.85.208.176]:39504)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1miF2Y-0006Yt-Ll
 for 51497 <at> debbugs.gnu.org; Wed, 03 Nov 2021 08:06:51 -0400
Received: by mail-lj1-f176.google.com with SMTP id t11so3389886ljh.6
 for <51497 <at> debbugs.gnu.org>; Wed, 03 Nov 2021 05:06:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=cwNAzq3ZmdEMhPJWBRqGO4pcjvmXn3x+pu+lywE+Eek=;
 b=ZKYRIeAwJXcY1pgJs/nufl0tFZmrArXcg3dM1dandD+eZQVT2xrBKHJzYSE3g/Q3io
 nxNCXsfZO49bjevZDXtokBuTumvYR7eWCEuCdlv1dNaLjxRP1faM0taB6T3Zw9CSB1Oo
 O7QmMiEaB2BbWkhJsvCjcYL+UGEfszG74lQGsFR2QqX87y4nrz3WBpXHCkwPpWG826np
 ZHobcJBBHT3K8kNCxGsu0kDUQle8devKI3DmvJGOpEsEXga0EzlCAgXMcz/M8qHYtU4W
 dkHNZ57tnI+nyYTf4kkMnzauiiJ6XsUw/cEE8xH3QfIl7fDWympCV9Ifi/PWg8glwlur
 lQpg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=cwNAzq3ZmdEMhPJWBRqGO4pcjvmXn3x+pu+lywE+Eek=;
 b=cPPv0m/SDEsFFj9JIGEYuI9Qe3e/HjsI9FaaOPwqtFPfJ/wdpfpefpTCBl2PVIavTk
 V1rjnR2l0Qdg78cunewfsizThSzhr/HXohNTGfek/gfFLTPs++WIEuz5DGyJVMdcRUvQ
 0tkxhBSFZph+W/Myu1W718iGdOLjV9Ls3l22/641VzzqHSM5nzfQfL7Uithl/LFpFFvw
 YkIsGv4yX8Mkqccxy3MpMKLzP4KGujTsSO2+qY41UsDqAt2V+bhM38Eg55jfwN1QvLH9
 ZHEkGFGqCltQ4lazlh4uKzlonEdvt5m17EFsBvYtO8VvL+MgYo0CvnhwzAAkbkqKXB7a
 2Fgg==
X-Gm-Message-State: AOAM533veQNnrJwLyy/yLT8b6dfugl9vjirGRUvm2UhzZIU84UeHvTWG
 T3kA5ZjWu8ODKWa7J511tBg=
X-Google-Smtp-Source: ABdhPJz2Fvolj6PD8YTeA5qT68dQbNnuPW1DzrzczRRUa1OE/6M7ng7DmHRGC1NWzAIESX/q9fs+Aw==
X-Received: by 2002:a2e:9c14:: with SMTP id s20mr9551700lji.266.1635941204511; 
 Wed, 03 Nov 2021 05:06:44 -0700 (PDT)
Received: from [192.168.0.103] ([5.18.158.28])
 by smtp.googlemail.com with ESMTPSA id 9sm179587ljo.78.2021.11.03.05.06.43
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 03 Nov 2021 05:06:43 -0700 (PDT)
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
To: Dima Kogan <dima@HIDDEN>
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN>
 <60fea707-a9b2-d9f4-cc45-ffd4539887b6@HIDDEN>
 <87o87253sv.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <60af7952-d702-d40f-928e-1320e6d9520f@HIDDEN>
Date: Wed, 3 Nov 2021 15:06:41 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87o87253sv.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 51497
Cc: 51497 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Wolfgang Scherer <wolfgang.scherer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 03.11.2021 06:03, Dima Kogan wrote:
> Dmitry Gutov <dgutov@HIDDEN> writes:
> 
>> On 31.10.2021 09:58, Dima Kogan wrote:
>>>     kogan@aargh:~/stereo-server$ git --version
>>>     git version 1.8.3.1
>>
>> Sounds like CentOS 7. Released 7 years ago, but updated last year,
>> even.
> 
> Yessir. I wasn't a fan of this even 7 years ago, but it's not a battle I
> want to fight.
> 
> 
>>> Yeah, it's ancient, but I don't control this particular machine, and I
>>> don't think basic stuff like "C-x v l" should be non-functional here.
>>> Can we add some logic to emacs to not hard-depend on this stuff?
>>
>> Any idea which version of Git introduced literal pathspecs?
> 
> I think 1.8.5:
> 
>    https://github.com/git/git/commit/5c6933d201fab183a9779dca0fe43bf2f1eca098

Looks like it. Thanks!

>> Anyway, with Michael's code, see the attached patch you can try.
> 
> It fixes the problem. Thank you very much.

All right.

Lars, Eli, can we put it in Emacs 28?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 3 Nov 2021 03:14:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 02 23:14:24 2021
Received: from localhost ([127.0.0.1]:38546 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mi6jH-0004IW-QF
	for submit <at> debbugs.gnu.org; Tue, 02 Nov 2021 23:14:24 -0400
Received: from wout3-smtp.messagingengine.com ([64.147.123.19]:38089)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dima@HIDDEN>) id 1mi6jG-0004IO-2i
 for 51497 <at> debbugs.gnu.org; Tue, 02 Nov 2021 23:14:22 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.west.internal (Postfix) with ESMTP id 8866432002E2;
 Tue,  2 Nov 2021 23:14:20 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute3.internal (MEProxy); Tue, 02 Nov 2021 23:14:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=secretsauce.net;
 h=references:from:to:cc:subject:date:in-reply-to:message-id
 :mime-version:content-type; s=fm1; bh=LRnlvoRGbfcbLik60N2iSx9E+n
 sGXp3IaJNVspqlTLE=; b=TMhRUuWo8lq+j0v2mwbf/Up5Bcq6yOi+WwiCuxUATZ
 Y6Td9a8WwXtiRdCQIf+xH4ea/0eQrAVPre7Vs2sF+qFBja5slSAfMT8b3IO1FGxZ
 YG4ILoRDLP55Mjz8kNd9YQDLvEBJdV1a3xcJsLLWx2eq9/HOOY288Nsnbyv9tRmT
 g1QtTMI8QpXWneF+WWc0ha95lIN0acNbxE/RO+mFfUFC9TdmdwAk63b9d5kOBtn+
 FGMDHLvqdelJ349c0GlJHZnX0C02qwamS4sEOpJmz/Q+xRWF2mQa/8DMVAJwZkdy
 NvD2kqpZ0ZTzEUBiOSKimRyutx/+0d4U/0nIkKlrmHKw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=LRnlvo
 RGbfcbLik60N2iSx9E+nsGXp3IaJNVspqlTLE=; b=GToYKbPrajp4GA23Y8fQtT
 Yg/PgPScb2sOdYpT7SqfWbPV6UEIundO4dkzGzdAwM7uBOBpYEoaPLEqS9Oy0lkD
 WpDl+Tm4T+iwxO1+pq8H+X9KFBnY3fEtSAK/G5Bx7Dj1zVfnvc5AhydISZZPiA7X
 0eB7kEj2kXrzxU9w9mupBCSMQ5xeWDYcdpQ+DBjdF/3izmo34gGIT9pzu6+hIu3q
 wVqxTmFDgSJ9xj0eKuhiYOgZHKIm4fVEhNLrGFNVmpbsV+Fv80LzRzBNXYuiRLmT
 W4Bd9CWvmkT6SyRnAWipHHd/jUfhQsLhTKHH1zUf2ViBRFXhFs7JCZqzQe+UnSFA
 ==
X-ME-Sender: <xms:i_6BYYgHfVFgnfAtAtgPwaPZLwZG-Ni-JlNm4GCreb9jgHd9sx3UZg>
 <xme:i_6BYRCBVjDiW36U_Z8-uAKBBPZB8OuiaVrD-no_tXLt6Lc2Q1FhOpiKxyMKeRtJr
 b-zr6RL1ghm9geu>
X-ME-Received: <xmr:i_6BYQGs6R5nwS-BDLnAktn-FUseLqD6ipQApaEaqiLeyMCNggM4krNMKMaA7bcEku_WovMBjc_wcc4fNj0Wyo42iK4cnbUjOs-ileipj79Ou0zp66k>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvuddrtddugdehgecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpehffgfhvffuffgjkfggtgesthdtredttdertdenucfhrhhomhepffhimhgrucfm
 ohhgrghnuceoughimhgrsehsvggtrhgvthhsrghutggvrdhnvghtqeenucggtffrrghtth
 gvrhhnpefhgfffhfdtieefjeejvdelffegtdetgfeftdefhfelhfeuheffveettdeiffel
 keenucffohhmrghinhepghhithhhuhgsrdgtohhmnecuvehluhhsthgvrhfuihiivgeptd
 enucfrrghrrghmpehmrghilhhfrhhomhepughimhgrsehsvggtrhgvthhsrghutggvrdhn
 vght
X-ME-Proxy: <xmx:i_6BYZSO1s1AJdzYmbwn-1RYXO-rdrkJ1HCCcB4gcuUx4xT_8UM-cA>
 <xmx:i_6BYVxxJ23MdKVAtc4tyd_1X0yFUcV_2JCZvup7jS7qEJ1mOeU04g>
 <xmx:i_6BYX6IWrPGHtLTRdkeTPgO0B045RNt1iylIU8Q8lu1UNb1ElUlQg>
 <xmx:i_6BYQ_OlNTGpdkKNGswgQ7Rdhpb_CXIMwGUYg5wUqcm5UBIvLilkg>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Tue,
 2 Nov 2021 23:14:19 -0400 (EDT)
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN>
 <60fea707-a9b2-d9f4-cc45-ffd4539887b6@HIDDEN>
User-agent: mu4e 1.6.9; emacs 29.0.50
From: Dima Kogan <dima@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
Date: Tue, 02 Nov 2021 20:03:43 -0700
In-reply-to: <60fea707-a9b2-d9f4-cc45-ffd4539887b6@HIDDEN>
Message-ID: <87o87253sv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51497
Cc: 51497 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Wolfgang Scherer <wolfgang.scherer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Dmitry Gutov <dgutov@HIDDEN> writes:

> On 31.10.2021 09:58, Dima Kogan wrote:
>>    kogan@aargh:~/stereo-server$ git --version
>>    git version 1.8.3.1
>
> Sounds like CentOS 7. Released 7 years ago, but updated last year,
> even.

Yessir. I wasn't a fan of this even 7 years ago, but it's not a battle I
want to fight.


>> Yeah, it's ancient, but I don't control this particular machine, and I
>> don't think basic stuff like "C-x v l" should be non-functional here.
>> Can we add some logic to emacs to not hard-depend on this stuff?
>
> Any idea which version of Git introduced literal pathspecs?

I think 1.8.5:

  https://github.com/git/git/commit/5c6933d201fab183a9779dca0fe43bf2f1eca098


> Anyway, with Michael's code, see the attached patch you can try.

It fixes the problem. Thank you very much.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 3 Nov 2021 02:04:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 02 22:04:07 2021
Received: from localhost ([127.0.0.1]:38467 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mi5dH-0002VB-FJ
	for submit <at> debbugs.gnu.org; Tue, 02 Nov 2021 22:04:07 -0400
Received: from mail-lj1-f179.google.com ([209.85.208.179]:41777)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mi5dF-0002Ug-4r
 for 51497 <at> debbugs.gnu.org; Tue, 02 Nov 2021 22:04:05 -0400
Received: by mail-lj1-f179.google.com with SMTP id g3so1229301ljm.8
 for <51497 <at> debbugs.gnu.org>; Tue, 02 Nov 2021 19:04:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language;
 bh=dTiwh+4AOLwzMb7IenTjInrTRuOlY3ylhlRrhIZsh3g=;
 b=VvwI//K8KKLqqd/H+xAzf2LPJYDsc4gFMdSMUtrRHm33Xez7df0WSuKPffuSL8l6Wq
 MJ3ZWh79gElPDrIra3kAiGdFBWQ55AWRzKqc5Ey3kca2jgZ9WtiGCs1e+xjiGvvF1a9L
 46VpwWo4As1cN8hzpsNwQf6PsYGERkXU5O+HCCA3FiZG8qHvE5Cs6bZpbu6agyYIj9z6
 w4QpkOk73UtjTxnmq1WPXi1jYlGUYG+4hQvxy+t8OP8sARgVqot9c6sq7l1yDUqTHBmi
 aGMFTzV++KHufbeE0PCIujHxLMDVsf+Bv3u9zIvizD8pfYvLAd1aWm5VhITfKatJNvhh
 lVLw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language;
 bh=dTiwh+4AOLwzMb7IenTjInrTRuOlY3ylhlRrhIZsh3g=;
 b=Vj/BQZT+Q6RWg1I6e4Eiwm0biyIygJunlWZH5XkUWML8uGcwYdW8v4Xo7S3MNn5Oa/
 rC3jEOiOV0UJNPpBAwwT472LAZIZ1UZ4OPHS2ccn3yIOhAn1ZPtqNK79QeDuLyuNu5Eb
 Gl2p3d49yQ3Vm3/QH9yQFVxbkZkM97efZ2RC/mrosIAPtvLY8g1w07o6Cru4ho2HX47s
 +CHo2Q0hTDcP3WyVwOBaBTGAIreN60qlK0Vnp31WihQTaHoi2cD6ZK93pqEk0JcfkakB
 86M5yYpmbJwy1+wWPx9m9gMbInK/ud6gb0FMstmKFpaTSsmcHS17IMBebojd10Mo1j8u
 ZAsg==
X-Gm-Message-State: AOAM533AcnmyrCb+2jJPPILR1JJUjpokYutJpcFioonJ4s/OysUkeRIk
 55xbh0tt3ZBJKj0HfGoHHgiNFjBXiQM=
X-Google-Smtp-Source: ABdhPJxItDSmohO2kE3a2UqIUVRiuEMts4TDhPk0RuCjsHPYhIcecEUcyjCl59gwiqGgoIEpnqt1Pw==
X-Received: by 2002:a2e:9a17:: with SMTP id o23mr43482825lji.251.1635905039139; 
 Tue, 02 Nov 2021 19:03:59 -0700 (PDT)
Received: from [192.168.0.103] ([5.18.158.28])
 by smtp.googlemail.com with ESMTPSA id bn3sm66456ljb.7.2021.11.02.19.03.58
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 02 Nov 2021 19:03:58 -0700 (PDT)
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
To: Dima Kogan <dima@HIDDEN>
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <60fea707-a9b2-d9f4-cc45-ffd4539887b6@HIDDEN>
Date: Wed, 3 Nov 2021 05:03:56 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87pmrl8yhy.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------70BCFE2DFF902E251EB40E92"
Content-Language: en-US
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 51497
Cc: 51497 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Wolfgang Scherer <wolfgang.scherer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

This is a multi-part message in MIME format.
--------------70BCFE2DFF902E251EB40E92
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

On 31.10.2021 09:58, Dima Kogan wrote:
> Note the :(literal) stuff. This is what was added in the commit that the
> bisection found to be the cause of the issue. I can try to run this
> command directly (outside of emacs) on the target box:
> 
>    $ git --no-pager ls-files -c -z -- ':(literal)FILE.c' </dev/null
> 
>    fatal: Invalid pathspec magic 'literal' in ':(literal)FILE.c'
> 
> The issue is that this target box has a version of git too old to know
> about :(literal):
> 
>    kogan@aargh:~/stereo-server$ git --version
>    git version 1.8.3.1

Sounds like CentOS 7. Released 7 years ago, but updated last year, even.

> Yeah, it's ancient, but I don't control this particular machine, and I
> don't think basic stuff like "C-x v l" should be non-functional here.
> Can we add some logic to emacs to not hard-depend on this stuff?

Any idea which version of Git introduced literal pathspecs?

The docs on the official website only go back to 2.1.4 (also from 2014), 
which had it already.

Anyway, with Michael's code, see the attached patch you can try.


--------------70BCFE2DFF902E251EB40E92
Content-Type: text/x-patch; charset=UTF-8;
 name="no-literal-pathspecs-on-centos.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="no-literal-pathspecs-on-centos.diff"

diff --git a/lisp/vc/vc-git.el b/lisp/vc/vc-git.el
index 3f89fad235..80455b2010 100644
--- a/lisp/vc/vc-git.el
+++ b/lisp/vc/vc-git.el
@@ -249,7 +249,9 @@ vc-git--literal-pathspec
     ;; Expand abbreviated file names.
     (when (file-name-absolute-p file)
       (setq file (expand-file-name file)))
-    (concat ":(literal)" (file-local-name file))))
+    (if (version<= "2.1.4" (vc-git--program-version))
+        (concat ":(literal)" (file-local-name file))
+      (file-local-name file))))
 
 (defun vc-git--literal-pathspecs (files)
   "Prepend :(literal) path magic to FILES."
@@ -293,18 +295,32 @@ vc-git--state-code
 (defvar vc-git--program-version nil)
 
 (defun vc-git--program-version ()
-  (or vc-git--program-version
-      (let ((version-string
-             (vc-git--run-command-string nil "version")))
-        (setq vc-git--program-version
-              (if (and version-string
-                       ;; Git for Windows appends ".windows.N" to the
-                       ;; numerical version reported by Git.
-                       (string-match
-                        "git version \\([0-9.]+\\)\\(\\.windows\\.[0-9]+\\)?$"
-                        version-string))
-                  (match-string 1 version-string)
-                "0")))))
+  (let ((current
+         (if (file-remote-p default-directory)
+             (with-connection-local-variables
+              (and (local-variable-p 'vc-git--program-version)
+                   vc-git--program-version))
+           vc-git--program-version)))
+    (or current
+        (let ((version-string
+               (vc-git--run-command-string nil "version")))
+          (setq version-string
+                (if (and version-string
+                         ;; Git for Windows appends ".windows.N" to the
+                         ;; numerical version reported by Git.
+                         (string-match
+                          "git version \\([0-9.]+\\)\\(\\.windows\\.[0-9]+\\)?$"
+                          version-string))
+                    (match-string 1 version-string)
+                  "0"))
+          (if (file-remote-p default-directory)
+              (let ((profile (gensym "connection-local-profile-")))
+                (connection-local-set-profile-variables
+                 profile `((vc-git--program-version . ,version-string))) ;
+                (connection-local-set-profiles
+                 (connection-local-criteria-for-default-directory) profile))
+            (setq vc-git--program-version version-string))
+          version-string))))
 
 (defun vc-git--git-status-to-vc-state (code-list)
   "Convert CODE-LIST to a VC status.

--------------70BCFE2DFF902E251EB40E92--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 3 Nov 2021 02:01:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 02 22:01:00 2021
Received: from localhost ([127.0.0.1]:38463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mi5aG-0002QC-0p
	for submit <at> debbugs.gnu.org; Tue, 02 Nov 2021 22:01:00 -0400
Received: from mail-lf1-f44.google.com ([209.85.167.44]:35436)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mi5aD-0002Py-W7
 for 51497 <at> debbugs.gnu.org; Tue, 02 Nov 2021 22:00:58 -0400
Received: by mail-lf1-f44.google.com with SMTP id p16so2175719lfa.2
 for <51497 <at> debbugs.gnu.org>; Tue, 02 Nov 2021 19:00:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=TkmY7etZhnxzo2FB6zE5xrgTCLvmRUDho4qoISGwgog=;
 b=GZgmNsPfiEU1D6ZvGfpTMfCx6DQs0upiPdhOOVXanfUdR6k0RRECzeGPVoh+ahEbmO
 w5KpFJlmoNl8Eo33SE2tTzuRSoPx7ijnF5p6dkreUsocMxmDd31XCfZrv6utok7JVRQW
 8F9EZyojpzbUpjAv+iRmITk1Q3j+VuNcGMxVW9MLA0RRZHC/aY7nFqTsOklwX19F46Rf
 /A47+SkrODKSle8RDqzukibhX2VKhpHebIlEdbxn4xP5D9DM84ZzyAAENavGpK7gAhjW
 OpiwC3Wb9DHajbIkpQgOHraPPi3HerfOk4OHY6ssO7IvxWbDJl2JLYjQzcqZeSt4zHXf
 t59g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=TkmY7etZhnxzo2FB6zE5xrgTCLvmRUDho4qoISGwgog=;
 b=CBQaPTxcKVd+K8jZfi80ptS49D1ECszQMA17FH5+LTdslDdWqKPcKZ+MG4ngO8w+39
 4Tdg0v7cLJvdKDp1Pm1HfnbumsbAPcrjK9xEncvXKbhaf+sYz6QhawIgxbHjiBYDTj+q
 OwphtyXGPQxHs1nrxY72TgEpAhqO2NT2Ley7XJ0R1xIke8b1RHNA+HPkp5RVmX9DbTaO
 C8l0icRluJ9JMW45iZiVyyRpHz69R9XGWVS6xR+cpGHUK/N3DCs6f4Lu/ycDJgBPnLtc
 9tAZ+alPjB+Zb97prQP5m9xVN8nVV7XJ8M55yMW1J543Rs/RRhwUi24Tylz+R5ijgUGx
 DyQA==
X-Gm-Message-State: AOAM533yBJsRXS/tmvsgnpJ+qV/+iNO3/6LkH8jC85sQAAcQFhFX/Y6h
 FxFUH+16yaqaDryR/W856lY=
X-Google-Smtp-Source: ABdhPJyOnXr9AMvgjfKpxpiXgDWoqbJwFFnA/kqb76EPDE/GhdOeL3srof2hx9h9qD98A6UXTDRRoQ==
X-Received: by 2002:ac2:4f02:: with SMTP id k2mr37996820lfr.455.1635904851848; 
 Tue, 02 Nov 2021 19:00:51 -0700 (PDT)
Received: from [192.168.0.103] ([5.18.158.28])
 by smtp.googlemail.com with ESMTPSA id e1sm66855ljf.73.2021.11.02.19.00.51
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 02 Nov 2021 19:00:51 -0700 (PDT)
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
To: Michael Albinus <michael.albinus@HIDDEN>
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN> <87r1c14njw.fsf@HIDDEN>
 <be570cd6-d170-7ff7-0729-77fb03d652b7@HIDDEN> <87mtmp41tt.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <5744f091-a9d2-fdd8-43cf-cc94fb3fdbda@HIDDEN>
Date: Wed, 3 Nov 2021 05:00:49 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87mtmp41tt.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 51497
Cc: 51497 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Dima Kogan <dima@HIDDEN>, Wolfgang Scherer <wolfgang.scherer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

Hi Michael,

On 31.10.2021 19:05, Michael Albinus wrote:
> (defun vc-git--program-version ()
>    (let ((current
> 	 (if (file-remote-p default-directory)
> 	     (with-connection-local-variables
> 	      (and (local-variable-p 'vc-git--program-version)
> 		   vc-git--program-version))
> 	   vc-git--program-version)))
>      (or current
> 	(let ((version-string
>                 (vc-git--run-command-string nil "version")))
>            (setq version-string
> 		(if (and version-string
> 			 ;; Git for Windows appends ".windows.N" to the
> 			 ;; numerical version reported by Git.
> 			 (string-match
>                            "git version \\([0-9.]+\\)\\(\\.windows\\.[0-9]+\\)?$"
>                            version-string))
>                      (match-string 1 version-string)
>                    "0"))
> 	  (if (file-remote-p default-directory)
> 	      (let ((profile (gensym "connection-local-profile-")))
> 		(connection-local-set-profile-variables
> 		 profile `((vc-git--program-version . ,version-string))) ;
> 		(connection-local-set-profiles
> 		 (connection-local-criteria-for-default-directory) profile))
> 	    (setq vc-git--program-version version-string))
> 	  version-string))))

I wonder if we could have some helper that is more succinct. One that 
didn't require the client code to auto-generate the profile name, for 
instance.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 31 Oct 2021 16:05:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 31 12:05:32 2021
Received: from localhost ([127.0.0.1]:32931 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mhDKt-0002ln-Vd
	for submit <at> debbugs.gnu.org; Sun, 31 Oct 2021 12:05:32 -0400
Received: from mout.gmx.net ([212.227.15.19]:47789)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1mhDKr-0002lZ-Oc
 for 51497 <at> debbugs.gnu.org; Sun, 31 Oct 2021 12:05:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1635696320;
 bh=G5KLi2Ji6V2X8i+BMXuAAMQaOD/aHBoNSb4R6XIlAfw=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=c07tE5fKIU8D0viK/NJNXn8rLTfQ3EQdXl/H1tBYAlQ/TYsinU3mZOgkQdZtQ7VK7
 iS6jJpjiDE7NvH5hY7fyDcVlfwYgW7zpRtwlfO9iAxLQoNzroqv3XOpLleIXi6wzsy
 /mhXSbzxf2/xzCNzJxnM8kt6Z6Q0iKGmMhzbe748=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([213.220.149.27]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MmDIo-1n7RLc18dM-00iG3q; Sun, 31
 Oct 2021 17:05:20 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN> <87r1c14njw.fsf@HIDDEN>
 <be570cd6-d170-7ff7-0729-77fb03d652b7@HIDDEN>
Date: Sun, 31 Oct 2021 17:05:18 +0100
In-Reply-To: <be570cd6-d170-7ff7-0729-77fb03d652b7@HIDDEN> (Dmitry Gutov's
 message of "Sun, 31 Oct 2021 15:26:55 +0300")
Message-ID: <87mtmp41tt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:WYXaTSvMbI8UNyPqchQJsoQ3ytL+eVWqUeBVfezwmDXQaTHFE25
 AZvia2e2Cm4RCululeUKHPmHZF4Ly0x5zUmlyozPwmlXKJzEBKpMC1gm4Ecda+6pezyz3Sa
 2PXH120/5DY3GtsNLOiqwRs2k6p/4Is5DX+DwYiadkDWQ4D1mW5JYxOm8y2R8jGRYzGxzFJ
 W1nx99F44NjQGZ70fvpqQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:ZZXLuDgpS9M=:d/I8eraJW7GradyBvXStAx
 wNfVtE8W2vD/Cbu8foCw8OP0Xi2DXLV0H83hknrM9TTw2Cu97Lseo9yr/iUTNdd/WAf7BkmYh
 35px8b/zghLRoT8WcJGOq7ICbDMZNHN7M2SG44MKCTT6QebNUkMjTYoVRMJVNGo8+zprb7YcN
 KOoQJ5IKHe/QOA/W0KGwpY9BTrkuEtL5xR1a9TPDKyo+Y4QjZ71dE5kYpqZoiLPhyZpbTiReL
 D5HRXyPcKs+1gEkMMTBCv3OrleXHM/0U8QYFxaeB8j18vBGQirjocrQ0Tm3Mt7GkF/gPQaGw0
 /2FhPnZ23w+eUesHAPJBpTmhVrkbtyp2vghWTm3YPwDDKmOBLNJ8rVzPd8yBMzjHsewinIk+Q
 QprtQfSQPPl0uwTsvVY+d1hdvbsuRtTgVxQjQ0oJTsPlE6/gxYZQZc8t/z8QoYUZ/w5K0FGav
 tyZJRtSL+pR/1LK6ySUadr/ijpSv2wpDidQ6jo0AfrerxecZZq+RRKnhDGT2D7BWedKM3osVH
 SfY4zy/ITJRNfuBIW8Ax6O7OSZxx5IugOfaRYErFMr6X+D74URE1uLw7+JVXkXB0+7bVWLMli
 Tc5PCNFmh7kHuFaS6tFZx7avdYDBOb4GQDkYOdJ8+3l17TO708tW0IwfLI89LSSGEUyfQJx//
 f+CrtP9o1wi/Y2NgmNhRCSOb6SJEgzwTOghntwsVHRiFbxUlzw/x8U3eY+bQF1nYERZNVZr0/
 XcWQoZWd/tLR9JzZv6bGchtg9mCCKiYG5zsrTo7byc39MNPF+W0207q0qiv0yeJoxX2dlQnJh
 uBFbOG8XZX7DxcRNAHesDYYBWyktlWBO3enzGGW0wT7izaJO+FUy9xSAqXJcX8f2oBY0QAFHH
 CRw+O2tjKKlLqpL1uTcb+TrmlxWgvTQcrT1YLGRq7sVLjwFdDf7FRGgQbKegMZATG2oa5Uo8B
 Kdk1McrBWQHepSWwGJf5Ajz7OYxXsmvghyh3f8LkkSgC51ohRXfq7N3Vb4lrrQK5NqbIXGHop
 UENgLxZl09tDmAMGunTe8N6jz4zKmv9b6XV60k0oHHPGjZKPDbIY087yPpbeIW3TdYCbgFyoE
 FDWcYEexwkgjb4=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51497
Cc: 51497 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Dima Kogan <dima@HIDDEN>, Wolfgang Scherer <wolfgang.scherer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Dmitry Gutov <dgutov@HIDDEN> writes:

Hi Dmitry,

>> vc-git.el could declare a variable which determines, whether the git
>> command supports :(literal) (perhaps it does already). A user could
>> change this variable via connection-local settings.
>
> We normally use 'vc-git--program-version' for this.
>
> Can we define the variable 'vc-git--program-version' as
> connection-local or something?

--8<---------------cut here---------------start------------->8---
(defun vc-git--program-version ()
  (let ((current
	 (if (file-remote-p default-directory)
	     (with-connection-local-variables
	      (and (local-variable-p 'vc-git--program-version)
		   vc-git--program-version))
	   vc-git--program-version)))
    (or current
	(let ((version-string
               (vc-git--run-command-string nil "version")))
          (setq version-string
		(if (and version-string
			 ;; Git for Windows appends ".windows.N" to the
			 ;; numerical version reported by Git.
			 (string-match
                          "git version \\([0-9.]+\\)\\(\\.windows\\.[0-9]+\\)?$"
                          version-string))
                    (match-string 1 version-string)
                  "0"))
	  (if (file-remote-p default-directory)
	      (let ((profile (gensym "connection-local-profile-")))
		(connection-local-set-profile-variables
		 profile `((vc-git--program-version . ,version-string))) ;
		(connection-local-set-profiles
		 (connection-local-criteria-for-default-directory) profile))
	    (setq vc-git--program-version version-string))
	  version-string))))
--8<---------------cut here---------------end--------------->8---

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 31 Oct 2021 12:27:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 31 08:27:04 2021
Received: from localhost ([127.0.0.1]:59188 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mh9vU-000760-KM
	for submit <at> debbugs.gnu.org; Sun, 31 Oct 2021 08:27:04 -0400
Received: from mail-lf1-f41.google.com ([209.85.167.41]:34420)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mh9vS-00075V-VQ
 for 51497 <at> debbugs.gnu.org; Sun, 31 Oct 2021 08:27:03 -0400
Received: by mail-lf1-f41.google.com with SMTP id u11so31004504lfs.1
 for <51497 <at> debbugs.gnu.org>; Sun, 31 Oct 2021 05:27:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=yQWFisr0V6JZ5ZYDIPqmWb6NKkTe9/JPqnuXHr9pbOQ=;
 b=NLHzyyOlqwDX8N57riJBCzLNhce21LxPashSfSqcmysS3zyaH6duSXZoKcstJgL7zS
 ipp6CE7VEY0TqHJF2zjven+BSzjSySPMu+/dMUhbIBeNkeAvu3oboJzHSnOYxqpjzGtz
 vYZIIVBMUxMs0ajvijxfWGAYgUWBIsNLgmaBV1SJV5n4/Bhew1i/pRQqPgEIr13yipKT
 lBSMP3/Yvhd0GYRlqbPAcmN2TeSlOK4vl+aXlLp7mr4bKTJh7HzDCwtRMm8J+L/8VNSN
 xhqxy2lQ1oFjFZ4FNgbtHDfOwtlx9zg+kUoUN1ux/cHz4nmG+PYqic45q8gxT9IP9QcU
 6zzg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=yQWFisr0V6JZ5ZYDIPqmWb6NKkTe9/JPqnuXHr9pbOQ=;
 b=cZyGxBTzvTZWAdsNYw3KssjcnEM9hVYTqhBzZTruphR+0dEGeFw69UjPIl5PBXRz/s
 fm6RgvINmNrlHZqYvKMmJ9Oww2OsmUOLtWsvJIa3NlOmS8pPgLxtZwUE5cdXq5SgJ0lx
 OHtnUVM5A+m7UVHMFWLH1WF9VBopaiWM/0Y2jxMHxstaJUa08cmtXxNxKR1BLEcLWJjK
 N6XWqpmeQHriiD1nUS6hP3L7O2j+R1Ql8aoXGubrEDIXK26uU4ytz6bLMkvLtYeA83qu
 Kt8DvsV1c3lFpp3eyRgrXMkg+jkGFQkt+9g3O5dnqeQb3nXkHUPBAC/tW0WlMaZLB3zb
 C3+g==
X-Gm-Message-State: AOAM533BRq/2WsCBrTX6f55SrAFo3jzLejHCOaE69W9KZnVqQV9C0DEN
 73zkUVDBLuPxU0D4pKQacMs=
X-Google-Smtp-Source: ABdhPJzzrjxwvWwZh9BBaobZJgE8af5+Um7+/K27CVKL9XLIhTMg2QtxTEknJnoNF5yC9AsYEt9+Ag==
X-Received: by 2002:a05:6512:104b:: with SMTP id
 c11mr5448061lfb.256.1635683216862; 
 Sun, 31 Oct 2021 05:26:56 -0700 (PDT)
Received: from [192.168.0.103] ([5.18.248.29])
 by smtp.googlemail.com with ESMTPSA id
 bn28sm1310603ljb.117.2021.10.31.05.26.56
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 31 Oct 2021 05:26:56 -0700 (PDT)
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
To: Michael Albinus <michael.albinus@HIDDEN>, Dima Kogan <dima@HIDDEN>
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN> <87r1c14njw.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <be570cd6-d170-7ff7-0729-77fb03d652b7@HIDDEN>
Date: Sun, 31 Oct 2021 15:26:55 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87r1c14njw.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 51497
Cc: 51497 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Wolfgang Scherer <wolfgang.scherer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 31.10.2021 11:16, Michael Albinus wrote:
> vc-git.el could declare a variable which determines, whether the git
> command supports :(literal) (perhaps it does already). A user could
> change this variable via connection-local settings.

We normally use 'vc-git--program-version' for this.

Can we define the variable 'vc-git--program-version' as connection-local 
or something?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 31 Oct 2021 08:16:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 31 04:16:18 2021
Received: from localhost ([127.0.0.1]:58914 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mh60o-0004kd-1W
	for submit <at> debbugs.gnu.org; Sun, 31 Oct 2021 04:16:18 -0400
Received: from mout.gmx.net ([212.227.17.22]:49701)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1mh60l-0004kN-C8
 for 51497 <at> debbugs.gnu.org; Sun, 31 Oct 2021 04:16:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1635668165;
 bh=foxaOs4dHftNDMDcuSUCGHmQ70D3wOXTZIeBviFJTPs=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=d4YLawDi44VKJui43hvdTNYMbIeja5w31KbhF0OrBIFxqH8gKPXlu2GfbB1099xhs
 ksXXy7ynhwOty8aNxq3dyWcNfXIuG1evSGGVEobWhycysCkPoLT0YHOS30168UD0ow
 beM/hXmgV+jH5YWvXKenmMxceqJoTxhUkWblgU6I=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([213.220.149.27]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N4z6q-1motzl0v48-010re8; Sun, 31
 Oct 2021 09:16:05 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Dima Kogan <dima@HIDDEN>
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
 <87pmrl8yhy.fsf@HIDDEN>
Date: Sun, 31 Oct 2021 09:16:03 +0100
In-Reply-To: <87pmrl8yhy.fsf@HIDDEN> (Dima Kogan's message of "Sat,
 30 Oct 2021 23:58:23 -0700")
Message-ID: <87r1c14njw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:1zSq1AvDQl4aPUaErNsbdvS2H1/n0eylRQ6e0/v5Cxd5TmGYIYn
 TmNhojfQQGehyUItsPDylJQUXRY7x+R34MDSC82RO8lXDUPwQY9lToAlv0iXaCvO9kvsV+0
 S45i7pQ4lnY8hGLprv8adp/sAgnWfgzbJ7dw3wA50rK2CTcTKL58yxh6/iwcHgkN68v/TTi
 evVcSIBcgXX7biJjx8ydg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:nE42WQInhKQ=:wfPx09A0EIl51k+QBSheZy
 W9H/Ca5oyB93LghTxC/DiUNDjCgFprbdLj7C0UGc+EztXjIqZYnU/OlLfug2Hj81swCsIA8R6
 1MIigEOXUvpd10LVENnJhmrIxEJlt7h+quthEsVyuJc+zw31uOP2KrAEIwkGBsWQPF8Q1tWxU
 f9e+Kt69myNQT7boBHszfNkgLyxhwLvg+hTAEsZRiAvaLeytDf7Dt3cERHs2CVaMoZbTioGaZ
 lWNUWAC1yg3ZAa5o9XJBpgcBqJfywxPJAUrvxCzUHfJCaiPsCQx+z1uNDMJtuvKrvv2tpZEiI
 DlQ/GjzrD7y71VmrHPAgeLZZbyjZio9Zay8CA4m9fjBkCSBFKF7IqpVa7S7Kwj1y8KsvPaAJV
 5ZsTw9zXuYbToH6k5Juk4Pro4ER0MWvUxOgHIBRQePywZz9EXiZUjmzOODDGnMyxWl+Q47d5Q
 IUQNrPpLIKCiWGYMrs22WpL45XkULWSScZcMhgZqmJj8RiIv/1kow1Xoimx77aLv4ZfmnnuuZ
 8oOmbyprkHcy9h2SVX6rLsUrrDyvStR6c6lul7BYsK0kJmz5pjx+u0Gp7hp1Bm6zHSmR7y7FO
 lhQq0l8mwbvrgHy3gA6kyg8e36UquzZhUySkcz11zjEGJX9gBVGbnnz8nmd/clD36V6D4jcwA
 5vMhkiJG+oteVmjBazzaED6wtuqeRwXz2S3MmOnMnAJfv81OKwzEhZNYibo85qsyvO8xmYHrJ
 VHG7hkmg+3Rr/Yu8Hqb7hnUVnpQ+Vq0JMvEVr4ZV83bUflnqmkGfVY+wU8e8k4i/4iqSGcIw1
 NJqVsed4hoEuNV8zwXsinsASFr+VvEkOJlFpCG3C5rBLUGYHlcEM9VqFfB1Q5EuRiEN3l9tzI
 DGOIjt5ypINAb8shkvWs6LwCW3HImYqvIAzCC6sYB3UdnFiqfdd/lIjxxwdcLrtuljfH8UbSS
 k4KMNhL8aQW6JNNKaSrmm5zErJ1VC9TC7SFgSHcI96qFbmWZ0TuiyoGEsuNw3WbLs0iJD4V92
 ZMA2Fv7ePSmwP14U0hE33ds527DWZOPbOP98FCrFpuDp0ba6iXrDDKol/a7eWTx/xG3TDghpp
 RWO53Cjyq4p2CA=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51497
Cc: 51497 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Wolfgang Scherer <wolfgang.scherer@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dima Kogan <dima@HIDDEN> writes:

> Hi. I figured this out.

Hi,

> I can try to run this
> command directly (outside of emacs) on the target box:
>
>   $ git --no-pager ls-files -c -z -- ':(literal)FILE.c' </dev/null
>
>   fatal: Invalid pathspec magic 'literal' in ':(literal)FILE.c'
>
> The issue is that this target box has a version of git too old to know
> about :(literal):
>
>   kogan@aargh:~/stereo-server$ git --version
>   git version 1.8.3.1
>
> Yeah, it's ancient, but I don't control this particular machine, and I
> don't think basic stuff like "C-x v l" should be non-functional here.
> Can we add some logic to emacs to not hard-depend on this stuff?

vc-git.el could declare a variable which determines, whether the git
command supports :(literal) (perhaps it does already). A user could
change this variable via connection-local settings.

> Thanks

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 31 Oct 2021 07:06:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 31 03:06:22 2021
Received: from localhost ([127.0.0.1]:58877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mh4v8-00034R-7E
	for submit <at> debbugs.gnu.org; Sun, 31 Oct 2021 03:06:22 -0400
Received: from wout5-smtp.messagingengine.com ([64.147.123.21]:52687)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dima@HIDDEN>) id 1mh4v5-00034E-JP
 for 51497 <at> debbugs.gnu.org; Sun, 31 Oct 2021 03:06:20 -0400
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.west.internal (Postfix) with ESMTP id 5EDFF32009BB;
 Sun, 31 Oct 2021 03:06:13 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute1.internal (MEProxy); Sun, 31 Oct 2021 03:06:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=secretsauce.net;
 h=references:from:to:cc:subject:date:in-reply-to:message-id
 :mime-version:content-type; s=fm1; bh=8f3N+LTem3K6pBo5i12fXMAqzJ
 wsIlXp/O2tHzzi7I4=; b=U6RrGE0WbH0Rv7BSOuJNA2ZHGnmNseYjYhAIdLghZS
 elwHYXe5CMiLW5OfNkRJXJTzI6pa2eazEzPqs2YCIq+5ckapPCg699BoW7xRuC7m
 nV9k92a/n1kAxLrGoqnb2QfZe4Qtq7t1ScP6Aebtaql46eMyAN47uM4UyGxmgSot
 2kb0W7zvMdHaY/FerRwDkoQDq3OVx9xnYRvbaq5WdFQ/GwfeUlhnOKhw8p5x00WM
 EoGZqhrYBkbCsIeYbFfKloy7Hh5FlLlFa69RaAAy/Y+4HpldVsc6i9FfLR2g9JA7
 tg4HkcKXihfqh/DV1UoLjv7G7M03ftOHogD7Q3eK3j5A==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=8f3N+L
 Tem3K6pBo5i12fXMAqzJwsIlXp/O2tHzzi7I4=; b=FrOxgqvR/L1seWJ55FI81y
 R2iJDX1wyhKhNN44jOYnLa+rytLMPxKNins/ZENRUa+fPUjQuNQzIAMwy1JKYKTv
 hXiSmt7PQO3B0EFrbeyktqhi0JRmoWf11Tbp380o9uNmMZ2n9CVyrvuxaluiIyhA
 iw1SuNBi0gBhTTH9vbo3eJR1RgF74z093A5JzyuUxMF+3GgeBcnLKAnGwbafwKuz
 /uHjo+Ka3efwJrk0/5EHUh2VYbsSfxEjtCv95NxOhWSlTmFWfgYJpBEnGJrk0sxY
 YKm2KGZ3pciZnLhOEgRyeIv1gj96QPeGFOfOMuZki41IfxvolEl1YxBmFOgPj+zA
 ==
X-ME-Sender: <xms:ZEB-YTH7UdS8FsclU8hFBu77PnKVzTzb3HzoOIRhacX_wd5IURJj-Q>
 <xme:ZEB-YQUWuGUalA-PN1A9KRpoDnHRjDB1pnoREY7cveAkI9iDjTl9Z0TzlGxoX8Xq_
 Sb7gdKhkznPPhx4>
X-ME-Received: <xmr:ZEB-YVI2Jk0dnPXjOwG4Ctm9QPJ5ewNaenLLMl_r---D3KohtHvwoSTXV_WBZ88wa5gm9DISL5b_oUs7SIuSdKWHjsQID3KcRW5y0LZnkQDYI8XD7BY>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvtddrvdegkedgudduudcutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpehffgfhvffuffgjkfggtgesthdtredttdertdenucfhrhhomhepffhimhgr
 ucfmohhgrghnuceoughimhgrsehsvggtrhgvthhsrghutggvrdhnvghtqeenucggtffrrg
 htthgvrhhnpeevgfeuueeuueevvdfgfeetgfegvdevveekffevveetleegudfggeegkeej
 ueejieenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpe
 guihhmrgesshgvtghrvghtshgruhgtvgdrnhgvth
X-ME-Proxy: <xmx:ZEB-YRE5jqL1yTJQaKl8oCEBjsPnU36EDYwMcQ1-aH70364hK9oyGg>
 <xmx:ZEB-YZVWw5NHZTzsn6wxdtIwVefgYDgePiE4uawdio1ZVhPOyzw4iQ>
 <xmx:ZEB-YcNXOPIXpaFDXNUy4awJEDxAUu12zalKMpZWx9pb6pjpkOGlAA>
 <xmx:ZEB-YWjBSCpV9jMC7SE1YqMuN_yHeM5Ka5tmtG54MsthrbT4fyIOcg>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Sun,
 31 Oct 2021 03:06:11 -0400 (EDT)
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
 <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
User-agent: mu4e 1.6.9; emacs 29.0.50
From: Dima Kogan <dima@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
Date: Sat, 30 Oct 2021 23:58:23 -0700
In-reply-to: <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
Message-ID: <87pmrl8yhy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51497
Cc: 51497 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Wolfgang Scherer <wolfgang.scherer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi. I figured this out.

(setq vc-command-messages t) doesn't do anything: emacs doesn't
recognize this as a valid file in git, so it only runs git commands at
file open time, which apparently aren't reported with
vc-command-messages.

Instead I ran with (setq tramp-verbose 6) and the key line is this:

  23:46:27.247358 tramp-send-command (6) # ( cd DIR && unset GIT_DIR && git --no-pager ls-files -c -z -- \:\(literal\)FILE.c </dev/null 2>/dev/null; echo tramp_exit_status $? )
  23:46:27.258502 tramp-wait-for-regexp (6) # 
  tramp_exit_status 128

Note the :(literal) stuff. This is what was added in the commit that the
bisection found to be the cause of the issue. I can try to run this
command directly (outside of emacs) on the target box:

  $ git --no-pager ls-files -c -z -- ':(literal)FILE.c' </dev/null

  fatal: Invalid pathspec magic 'literal' in ':(literal)FILE.c'

The issue is that this target box has a version of git too old to know
about :(literal):

  kogan@aargh:~/stereo-server$ git --version
  git version 1.8.3.1

Yeah, it's ancient, but I don't control this particular machine, and I
don't think basic stuff like "C-x v l" should be non-functional here.
Can we add some logic to emacs to not hard-depend on this stuff?

Thanks




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 31 Oct 2021 00:56:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 30 20:56:59 2021
Received: from localhost ([127.0.0.1]:58683 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mgz9f-0008CT-Ah
	for submit <at> debbugs.gnu.org; Sat, 30 Oct 2021 20:56:59 -0400
Received: from mail-lj1-f173.google.com ([209.85.208.173]:36451)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mgz9e-0008CI-Br
 for 51497 <at> debbugs.gnu.org; Sat, 30 Oct 2021 20:56:58 -0400
Received: by mail-lj1-f173.google.com with SMTP id k24so3829529ljg.3
 for <51497 <at> debbugs.gnu.org>; Sat, 30 Oct 2021 17:56:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=1zQBaa/JgO/aLQmpZvLynRZ2Fth0sK3MK5CEHPtWhoc=;
 b=IO297Qgnu1Ra5I56fnm+RXwgQMaTtKZbQUdzTzPlRhBWjWgQbtIYvBAI0zocZW/MzF
 tDFoeNrpF9Zf060lcl1gjucAzsMycX23ltl+eB4Y9iynsQ/Efis02a5jxeQkIDgzjKIM
 VRKYq3lYGcH92FZEo+brfB28gAe857lIO27TSWCiopugsOnYB0dS44pJA+tn5ooIUn/h
 xcWt8jCUZ3Pro4WMYlsBKSqk6jtyGwlLW6o0Q2S4GXttYyx/WpdSp8Sb0v4hyVqD2c8A
 ZZK5Ku10IPUx7oeD+mVo47OpiQl05lorjPssrSbRG8EYywy5CHprZcUepiHlO7GkQvy5
 Gr9g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=1zQBaa/JgO/aLQmpZvLynRZ2Fth0sK3MK5CEHPtWhoc=;
 b=X5yq1l6FLb1HGaH5HtVbKiHV6KFhKFao42kEkEWqOixyWdsVJ9rzYgrZCk87kkwGl2
 U8jBfgELvf8R/VodfToVqQy3wYYDk2SOWK1iSLWQywD0ZDKrk+NqQAjYTkXBysUKM6op
 rQjXJYhvfG6g6ypyrQDlf46vAVw0nH50V807XcxNF9Z+13CK/MDb9nYNWXsrkYmiQkI5
 ym0MmrocVgGIobFxThOm/7ATQ5C+nC3bdfdHpCcvrpVjZGPmhLS67gN8nIucQACtAhV6
 YSASrrj0EOGYvoJz24dXNu6I4j9MuO7Cc6jxPG0F4dyoxed5440taiQyYula2QveH5RK
 9rHA==
X-Gm-Message-State: AOAM532Wlwg6lzxjOPRDLSdI47aGLVa8rPHinnUflsSiuQ7fHqxP/E5J
 TNrLs6V6LVV8un+UT2N9lLE=
X-Google-Smtp-Source: ABdhPJx8bwz5Y3riGNsNcxpnDk74TqhGUddBD3NS+howhNCxG4inmToKnupqUQSedb1mBN2dVGYbGA==
X-Received: by 2002:a2e:4949:: with SMTP id b9mr21349823ljd.240.1635641812272; 
 Sat, 30 Oct 2021 17:56:52 -0700 (PDT)
Received: from [192.168.0.103] ([5.18.248.29])
 by smtp.googlemail.com with ESMTPSA id i18sm1019083lfv.147.2021.10.30.17.56.51
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 30 Oct 2021 17:56:51 -0700 (PDT)
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
To: Dima Kogan <dima@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
 <87tugy8h3a.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <bdfd061e-77f7-53ba-bfe6-c1541679a17a@HIDDEN>
Date: Sun, 31 Oct 2021 03:56:51 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87tugy8h3a.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 51497
Cc: 51497 <at> debbugs.gnu.org, Wolfgang Scherer <wolfgang.scherer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 30.10.2021 22:01, Dima Kogan wrote:
> I haven't done any debugging other than the bisection. Would you like me
> to dig into it in some way?

If you (setq vc-command-messages t), you should be able to see all VC 
commands Emacs tries to run.

If you can catch the exact command (or several) which were constructed 
incorrectly, that would help a lot.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 30 Oct 2021 19:10:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 30 15:10:06 2021
Received: from localhost ([127.0.0.1]:58479 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mgtju-0007j8-JD
	for submit <at> debbugs.gnu.org; Sat, 30 Oct 2021 15:10:06 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:43185)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dima@HIDDEN>) id 1mgtjr-0007iW-5v
 for 51497 <at> debbugs.gnu.org; Sat, 30 Oct 2021 15:10:01 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id E426D5C00F4;
 Sat, 30 Oct 2021 15:09:53 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Sat, 30 Oct 2021 15:09:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=secretsauce.net;
 h=references:from:to:cc:subject:date:in-reply-to:message-id
 :mime-version:content-type; s=fm1; bh=C+zQjJRnj1I0XyUvLfLtUP8aeL
 XhnorWkiyBC3EPkus=; b=Q1ec9y2JwZwhRbFmaAXE06lFnoXJ57OhL4QEPb7OdS
 BveYFhkoYkmyEn4e0VdJNujhlcP4DPytcVaRsLAxvferBkRDZlCqfzgs6nb7cfUj
 g17mgOSn1SU77vzjCBPKhkcxlM1pUtdEkUx4Hw7DG31ICZUmCcWOFPWQAgYmDcnI
 QKqDyzMqioi2PQAWgpOSCralWbZIKD4PZq38Z17qTgS95dDP0nFC4cyjR+uA81QW
 AqNS/QSpAIqwvhr6qFjTrYlnJDiX2dkYxB6QyPCxiP+YMgLXmE8szCFQnMRDH2+l
 iDm7xcBi9JRMjuAkmqSgY2K5uaW0gxOAj6IcIkKnnM9Q==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=C+zQjJ
 Rnj1I0XyUvLfLtUP8aeLXhnorWkiyBC3EPkus=; b=IGLSGJh7QHCXoQnr9AwaG+
 FlKnZVXLKKA2Tc7MX3zOjBQ1St6HH1ZNE3DxwP7CoRMhH8P6WQmsXqk0+JdsA8kv
 XkPOcjS4XrzNyhSb86BnqmDiksJbmK6TmeODvbEIOMN/emCuT5+CUicxo4cR2XII
 2Z9JxppHg0yE1FVKrK27NPbgwfONU9asdFa8q5f0b5zf65bnpi3+59J1VBNp0zM0
 VpUNjf3PW9U69Jpab/WOgv4NG/SX4oa8Type2xM19LsylM8+auyXomcbdn0U2wIG
 M5wWcuLaFa0x3IOiL/C/Q2XDGSRwFg96qzXIEWMIXqPoVnXz085m6sWgcGw6ya+Q
 ==
X-ME-Sender: <xms:gZh9YfkgVzKOM8qpcNlxI3RFTGy9YipYyXMqQA-iZzNr9yyYkBeSlg>
 <xme:gZh9YS3cOlIsjuZlSmnKXyglMIV2LQv0eyiGAMspnjD-gLGg3EJLPDUGFBBd_JIkV
 j4TnBBmaNYgaoaZ>
X-ME-Received: <xmr:gZh9YVqFvNs9IXxFeQoRGWF1WmMWjfHTWLsu7aE3NsrlaJuV1w_5aLALXkAkWn_iXCn6lmXbFab6qFA6Ajs1Hse0KFRigZJbX7x5Os_VCUKObaBxS10>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvtddrvdegjedgudefudcutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpehffgfhvffuffgjkfggtgesthdtredttdertdenucfhrhhomhepffhimhgr
 ucfmohhgrghnuceoughimhgrsehsvggtrhgvthhsrghutggvrdhnvghtqeenucggtffrrg
 htthgvrhhnpeevgfeuueeuueevvdfgfeetgfegvdevveekffevveetleegudfggeegkeej
 ueejieenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpe
 guihhmrgesshgvtghrvghtshgruhgtvgdrnhgvth
X-ME-Proxy: <xmx:gZh9YXkP7y6NX-kaSnuJSEr0on3ci0X8loH-ZUtnfxZIpBuoWUvcBA>
 <xmx:gZh9Yd0QgDFYGdoZYdfmDSkxS7zAqa-IwsIDLBi1PACJmHTs6a2Jig>
 <xmx:gZh9YWtYUNVTDEf1puF7TFhjjZ4isD83ZvzPgE_RPAOerTnFoeUbGg>
 <xmx:gZh9YbB8t1uUsEwHCAj0nEqDWf4NO-Fa2ePjOG87kfJ8o1GS7B_TMg>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Sat,
 30 Oct 2021 15:09:53 -0400 (EDT)
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
User-agent: mu4e 1.6.9; emacs 29.0.50
From: Dima Kogan <dima@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
Date: Sat, 30 Oct 2021 12:01:59 -0700
In-reply-to: <87tugyptju.fsf@HIDDEN>
Message-ID: <87tugy8h3a.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51497
Cc: 51497 <at> debbugs.gnu.org, Wolfgang Scherer <wolfgang.scherer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi. Thanks for replying. Notes inline


Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I'm unable to reproduce this on the current trunk.
> I did see something similar a few weeks ago, but it went away after I
> said "make bootstrap" (so it's either a problem that shows up only
> sometimes or it's a genuine build thing).  Can you try "make bootstrap"
> to see whether that has any effect?

This is still a problem for me here:

  commit c3499b8ddc357544a58917bfd3846f88caf5d97c
  Author: Eli Zaretskii <eliz@HIDDEN>
  Date:   Fri Oct 29 22:07:27 2021 +0300

I've been building from scratch, which is the same, as "make bootstrap"
I imagine. This was my test in "git bisect"

  git clean -idx &&
  git reset --hard &&
  ./autogen.sh &&
  ./configure --with-gnutls=ifavailable &&
  make -j19 &&
  src/emacs -nw -Q /ssh:SERVER:FILE

I haven't done any debugging other than the bisection. Would you like me
to dig into it in some way?


Dmitry Gutov <dgutov@HIDDEN> writes:

> On 30.10.2021 15:48, Lars Ingebrigtsen wrote:
>> I did see something similar a few weeks ago, but it went away after I
>> said "make bootstrap" (so it's either a problem that shows up only
>> sometimes or it's a genuine build thing).
>
> I think it was bug#51112, which we fixed.

I'm at a later revision than any notes in that bug, so I would guess
this is different.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 30 Oct 2021 13:22:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 30 09:22:07 2021
Received: from localhost ([127.0.0.1]:56917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mgoJD-0007LV-Q8
	for submit <at> debbugs.gnu.org; Sat, 30 Oct 2021 09:22:07 -0400
Received: from mail-lf1-f49.google.com ([209.85.167.49]:36540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mgoJC-0007Kz-B0
 for 51497 <at> debbugs.gnu.org; Sat, 30 Oct 2021 09:22:07 -0400
Received: by mail-lf1-f49.google.com with SMTP id j2so26715495lfg.3
 for <51497 <at> debbugs.gnu.org>; Sat, 30 Oct 2021 06:22:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=jEE+BRpPVrwO+YGt+8N33hrbOgP0WA6B4QXoGcDQMfs=;
 b=QTaNuB0E08DFMdsRL1+DhmGQdGzMHQoYyvUfkS9pBHiEb10tqVfRfLuwP61FtVPvhC
 3/nDN/CIR30o4AQr8XY4esYpGsoyrfM2TKqNZfNBaev1Y3bXBgR31crUuotFDBVMmExF
 Cx/6FR0LYDix8jvilpxc/teVydfW+juDp2MsGJJGQ94N8aopOXJt1i1TwRWsW+5uVZYX
 HUh2JSbMXomCG96wjHu6CO1MLZOl+8vTg2QuFQwtxl/3Y3OQ7oC/eTqXhuIowcHanpSh
 1XE+DeO2HwJnCeG0PDObazPd/HtkD+9hK2vFFDqelmnbUWC/Tbk1523uZTgtnGHgV4DF
 SNog==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=jEE+BRpPVrwO+YGt+8N33hrbOgP0WA6B4QXoGcDQMfs=;
 b=HyvlVw5EiiMEMoReIM2a/cgD3YPh6vu5RStc+kqtDWGUud7R7XzzcECAfqFNqoPSiB
 Vlup9yqvzBPnbXWXAxNnKChhho3hJuKKMu8feDUyK4quLLh6P+PzPINaSOdCJVQeaE95
 6HHTLltgv+5hchosA2/c1ZcVgPMIfo8ugZWu2yLGRmQAnvfsIkE0xKlhzCTLn2DV1cL1
 vmbjv4flL0rXrF7xcjtueWb3hsMSmR2VwF6X62cHIClSXjbV5hmNGBkNGfESLzl5jEZq
 xWu0SjhNCd1x1VsvO0UHXNsPM6WZnCkbWtK2RSj8niQm9x7M18IWcW6KN0F7QMwD7pdM
 ddDA==
X-Gm-Message-State: AOAM532gLl/NnA9ZI0sg5hBdH4tuhpypLZC47FdWCSkaPJ0ceMjn3tyP
 TH1R8ED9yhdoOqXErmrM6DI=
X-Google-Smtp-Source: ABdhPJytLUik82G76nERGYr1iSzmOg8oQq/WGMsruyfXw8IxVhZcQF34L/29GkatvxnR2ipfU3c2gg==
X-Received: by 2002:a05:6512:22c3:: with SMTP id
 g3mr11207727lfu.646.1635600120251; 
 Sat, 30 Oct 2021 06:22:00 -0700 (PDT)
Received: from [192.168.0.103] ([5.18.248.29])
 by smtp.googlemail.com with ESMTPSA id s1sm918774ljc.86.2021.10.30.06.21.59
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 30 Oct 2021 06:21:59 -0700 (PDT)
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
To: Lars Ingebrigtsen <larsi@HIDDEN>, dima@HIDDEN
References: <877ddv9ue0.fsf@HIDDEN> <87tugyptju.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <001a2411-9613-fcbf-b90c-bb791641efd0@HIDDEN>
Date: Sat, 30 Oct 2021 16:21:58 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87tugyptju.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 51497
Cc: 51497 <at> debbugs.gnu.org, Wolfgang Scherer <wolfgang.scherer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 30.10.2021 15:48, Lars Ingebrigtsen wrote:
> I did see something similar a few weeks ago, but it went away after I
> said "make bootstrap" (so it's either a problem that shows up only
> sometimes or it's a genuine build thing).

I think it was bug#51112, which we fixed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at 51497 <at> debbugs.gnu.org:


Received: (at 51497) by debbugs.gnu.org; 30 Oct 2021 12:48:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 30 08:48:50 2021
Received: from localhost ([127.0.0.1]:56894 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mgnn0-0004Gg-3f
	for submit <at> debbugs.gnu.org; Sat, 30 Oct 2021 08:48:50 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mgnmx-0004GN-Fv
 for 51497 <at> debbugs.gnu.org; Sat, 30 Oct 2021 08:48:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=/UremkgdK4yZSZJAhK6N+xrqvcT8EwpMcidN+HQWbu0=; b=kbYHZS4V0W570RBSVT1pbAY5wV
 hmzaJ9QgEyPCAakolgcZNtyiDw/DFW81EJzCb1duifoyIS1R3khC8vt/Zv0z1NVtXKlPrLFFXGde0
 oSebBuRtVjMq3Z6W2z9ddWOd1ZoH1gMiWpNixFL57EJ279GGeBLb25yPURkaDaVrS0PA=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mgnmn-0001OC-Q9; Sat, 30 Oct 2021 14:48:40 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: dima@HIDDEN
Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP
References: <877ddv9ue0.fsf@HIDDEN>
X-Now-Playing: Tyme's _To the Dawn_: "Don't Tell Me"
Date: Sat, 30 Oct 2021 14:48:37 +0200
In-Reply-To: <877ddv9ue0.fsf@HIDDEN> (dima@HIDDEN's message of
 "Fri, 29 Oct 2021 18:24:55 -0700")
Message-ID: <87tugyptju.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: dima@HIDDEN writes: > Hi. I'm using emacs built from
 git. I'm observing that it's no longer > possible to "C-x v l" when looking
 at version-controlled files over > TRAMP. This is a regression. "git bisect"
 tells me that [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51497
Cc: 51497 <at> debbugs.gnu.org, Wolfgang Scherer <wolfgang.scherer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

dima@HIDDEN writes:

> Hi. I'm using emacs built from git. I'm observing that it's no longer
> possible to "C-x v l" when looking at version-controlled files over
> TRAMP. This is a regression. "git bisect" tells me that the breaking
> commit is this:

[...]

> 1. emacs -Q /ssh:some_server:some_file
>    where the remote file is in a git repo
>
> 2. C-x v l
>    I should see the git log, but instead I get this in the *Messages*:
>
>    vc-deduce-fileset-1: File is not under version control

I'm unable to reproduce this on the current trunk.

I tried:

C-x C-f /ssh:stories:/home/larsi/src/emacs/trunk/etc/NEWS RET
C-x v l

and I got the vc-change-log buffer.

I did see something similar a few weeks ago, but it went away after I
said "make bootstrap" (so it's either a problem that shows up only
sometimes or it's a genuine build thing).  Can you try "make bootstrap"
to see whether that has any effect?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Oct 2021 01:25:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 29 21:25:10 2021
Received: from localhost ([127.0.0.1]:56349 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mgd7O-0004Ip-9R
	for submit <at> debbugs.gnu.org; Fri, 29 Oct 2021 21:25:10 -0400
Received: from lists.gnu.org ([209.51.188.17]:37282)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dima@HIDDEN>) id 1mgd7M-0004Ie-3F
 for submit <at> debbugs.gnu.org; Fri, 29 Oct 2021 21:25:09 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41588)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dima@HIDDEN>)
 id 1mgd7L-0000fA-LZ
 for bug-gnu-emacs@HIDDEN; Fri, 29 Oct 2021 21:25:07 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:56417)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dima@HIDDEN>)
 id 1mgd7J-0002wK-18
 for bug-gnu-emacs@HIDDEN; Fri, 29 Oct 2021 21:25:07 -0400
Received: from compute6.internal (compute6.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id F40895C01B3;
 Fri, 29 Oct 2021 21:25:02 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute6.internal (MEProxy); Fri, 29 Oct 2021 21:25:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=secretsauce.net;
 h=from:to:cc:subject:date:message-id:mime-version:content-type;
 s=fm1; bh=bAlMiokfVWrLXRgtuR9WXfSnMlehE4Twq6SpxX87T+k=; b=lHR+m
 fcln6wRNzbbmNeCI51eGrR+X5JZ59eOml8Dsi4C9+gUVvePCLwk+Ahzu302JmlUS
 Dsuoq4xxR5pTEORfWvpXGZxk+DtgK//oUmhZVAtSRxGDBvOyhOS0S8PkcawPbb5L
 SltxdZuVHmNxeS2j4LvET9Gg3mrAigN4ALj/DnLcfi9kQjfrvJ00cu9IoX4yWHf+
 m0Eqad6p1CJTqtYDE8NrvYXwMURAc2aifb09BQaLaHuKomk1N1ZUNCa9bArHEPpS
 5Fao+G6mhp/JGQxh2m1NyL+AKgmkHvJi+NKOyPpNHTXNgHBscUGLZQS8ZpzuJvSp
 APmCq7KmDNx2Svrrw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm1; bh=bAlMiokfVWrLXRgtuR9WXfSnMlehE
 4Twq6SpxX87T+k=; b=f7HUmxO9mVcIArpcV+jZZk6Y9Is00DyV/LpedtdS/BAxK
 gTQQoi+/Rr9lf6QheBNp18hShypFQfDnJAs8CgohX3pPoBSIH+gfPDP1KDRGbeaV
 anGCafFRA53Nu/IdL6n98C/kHLRlMTNBuV07bHrioneKcgDKk/Oa+iAEVNjCKE+x
 qoqPKfT3JT9D1YpnJQBogx/Q+TIYocdvCsQ0RpkdfIf7feoaIio5sjfhEwj2Dx5+
 tGUWg2Fmz0KAP9nRyzSr0gP9H5Hod4K3/U1PUDKZK2lBJWRAkjDMQRsCnLbeFZCd
 1nQ0ig63/ZZZ6IpBgUWy467C/o4EzzjmqNozplksA==
X-ME-Sender: <xms:7p58YTNYad3tayH8EFumqow-Y7tvb_0T8UBeIQVaW2cCwE3TCUc_Dg>
 <xme:7p58Yd97ErxNGGZg7KaGuliOO9PHbIrCvsKGhxf4UeOpMVM8ppAnfABDuX487l9e0
 gOm4T7MDRfsVneD>
X-ME-Received: <xmr:7p58YSRwHTpi_MbcR-X9KJPzT1YPxW5rZxJE7imjiLqeMiRN8lfxbJpkyoMpREDch2K7SZkAagFot9J7Us3gEWM27G0xr9oMVMGmlVEs-OdWGGH9wfY>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvtddrvdegiedgfeelucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 gfrhhlucfvnfffucdlqdeimdenucfjughrpefhvffufffkgggtsehttdertddttddtnecu
 hfhrohhmpeguihhmrgesshgvtghrvghtshgruhgtvgdrnhgvthenucggtffrrghtthgvrh
 hnpeegfeelhfekheeljedufeduieekkeehhefhffejudegfeefuedujeeifedufeelieen
 ucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpeguihhmrg
 esshgvtghrvghtshgruhgtvgdrnhgvth
X-ME-Proxy: <xmx:7p58YXuDXA_J_1TUP5d2tPi-NdsYftARq52nUzxap4HG1xHnj-6swg>
 <xmx:7p58YbdBLMRVdQjPEa2kPkWos7nEXoay-dKXSv1NN4KfDmnJcPsJgQ>
 <xmx:7p58YT0BfRFhRV-c3vjRF7wRFSdb3-1sZl2D9e0Di9d7gZzovEKCHg>
 <xmx:7p58Ybnt8n8QvWGOeev5Vl445WyTOTPT2qZPbOw4Ejn_LxsDmEz0nw>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Fri,
 29 Oct 2021 21:25:02 -0400 (EDT)
From: dima@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; (vc-print-log) broken over TRAMP
Date: Fri, 29 Oct 2021 18:24:55 -0700
Message-ID: <877ddv9ue0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=66.111.4.27; envelope-from=dima@HIDDEN;
 helo=out3-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: Wolfgang Scherer <wolfgang.scherer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Hi. I'm using emacs built from git. I'm observing that it's no longer
possible to "C-x v l" when looking at version-controlled files over
TRAMP. This is a regression. "git bisect" tells me that the breaking
commit is this:

  3572613550f5d1d0b3392dbc809b32f3989e2981 is the first bad commit
  commit 3572613550f5d1d0b3392dbc809b32f3989e2981
  Author: Wolfgang Scherer <wolfgang.scherer@HIDDEN>
  Date:   Sun Aug 15 04:02:23 2021 +0300

      Fix vc-git-state for filenames with wildcards

      * lisp/vc/vc-git.el: (vc-git--literal-pathspec-inner),
      (vc-git--literal-pathspec), (vc-git--literal-pathspecs) new functions
      to add ":(literal)" pathspec magic (bug#39452).

      (vc-git-registered), (vc-git-state), (vc-git-dir-status-goto-stage),
      (vc-git-register), (vc-git-unregister), (vc-git-checkin),
      (vc-git-find-revision), (vc-git-checkout), (vc-git-revert),
      (vc-git-conflicted-files), (vc-git-print-log), (vc-git-diff),
      (vc-git-previous-revision), (vc-git-next-revision),
      (vc-git-delete-file), (vc-git-rename-file) functions
      vc-git--literal-pathspec, vc-git--literal-pathspecs applied.

   lisp/vc/vc-git.el | 63 +++++++++++++++++++++++++++++++------------------------
   1 file changed, 36 insertions(+), 27 deletions(-)

Recipe to reproduce:

1. emacs -Q /ssh:some_server:some_file
   where the remote file is in a git repo

2. C-x v l
   I should see the git log, but instead I get this in the *Messages*:

   vc-deduce-fileset-1: File is not under version control

"C-x v L" still works

Thanks.




Acknowledgement sent to dima@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#51497; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 8 Nov 2021 17:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.